import os
import sys


def read_lists(filepath, listfile):
    """
    read list file and check file exists
    """
    assert type(filepath) == type(listfile)
    if not isinstance(filepath, list):
        filepaths = [filepath]
        listfiles = [listfile]
    else:
        filepaths = filepath
        listfiles = listfile
    
    lefts = []
    rights = []
    disparities = []
    assert len(filepaths) == len(listfiles)
    for filepath, listfile in zip(filepaths, listfiles):
        assert os.path.exists(listfile), listfile
        with open(listfile, 'r') as fin:
            for line in fin:
                left, right, disparity = line.strip().split(' ')

                lefts.append(os.path.join(filepath, left))
                rights.append(os.path.join(filepath, right))
                disparities.append(os.path.join(filepath, disparity))
    assert len(lefts) == len(rights) == len(disparities)    
    return lefts, rights, disparities

def dataloader(train_path, trainlist, test_path, testlist):
    """
    parser train and test list files
    """
    all_left_img, all_right_img, all_left_disp = read_lists(train_path, trainlist)
    test_left_img, test_right_img, test_left_disp = read_lists(test_path, testlist)
    print(f'Train on {len(all_left_img)} from {trainlist}')
    print(f'Test on {len(test_left_img)} from {testlist}')

    return all_left_img, all_right_img, all_left_disp, test_left_img, test_right_img, test_left_disp


if __name__ == '__main__':
    a, b, c, d, e, f = dataloader(sys.argv[1], sys.argv[2], sys.argv[3])
    print(len(a), len(b), len(c))

