import sys
sys.path.append('../..')
import torch
import torch
import torchvision

model = torchvision.models.mobilenet_v2(pretrained=True)

from tinynn.converter import TFLiteConverter

# Provide a viable input to the model
dummy_input = torch.randn(1, 3, 224, 224)
model_path = 'mobilenet_v2.tflite'

# Moving the model to cpu and set it to evaluation mode before model conversion
with torch.no_grad():
    model.cpu()
    model.eval()

    converter = TFLiteConverter(model, dummy_input, model_path)
    converter.convert()
