
import torch
import torch.nn
import torch.functional
import torch.nn.functional


class coex(torch.nn.Module):
    def __init__(self):
        super().__init__()

        self.stereo_feature_conv_stem = torch.nn.Conv2d(3, 32, 3, padding=1, groups=1, stride=2, bias=False)
        self.stereo_feature_bn1 = torch.nn.BatchNorm2d(32)
        self.stereo_feature_act1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block0_0_0_conv_dw = torch.nn.Conv2d(32, 32, 3, padding=1, groups=32, stride=1, dilation=1, bias=False)
        self.stereo_feature_block0_0_0_bn1 = torch.nn.BatchNorm2d(32)
        self.stereo_feature_block0_0_0_act1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block0_0_0_se = torch.nn.Identity()
        self.stereo_feature_block0_0_0_conv_pw = torch.nn.Conv2d(32, 16, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block0_0_0_bn2 = torch.nn.BatchNorm2d(16)
        self.stereo_feature_block0_0_0_act2 = torch.nn.Identity()
        self.stereo_feature_block1_0_0_conv_pw = torch.nn.Conv2d(16, 96, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block1_0_0_bn1 = torch.nn.BatchNorm2d(96)
        self.stereo_feature_block1_0_0_act1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block1_0_0_conv_dw = torch.nn.Conv2d(96, 96, 3, padding=1, groups=96, stride=2, dilation=1, bias=False)
        self.stereo_feature_block1_0_0_bn2 = torch.nn.BatchNorm2d(96)
        self.stereo_feature_block1_0_0_act2 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block1_0_0_se = torch.nn.Identity()
        self.stereo_feature_block1_0_0_conv_pwl = torch.nn.Conv2d(96, 24, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block1_0_0_bn3 = torch.nn.BatchNorm2d(24)
        self.stereo_feature_block1_0_1_conv_pw = torch.nn.Conv2d(24, 144, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block1_0_1_bn1 = torch.nn.BatchNorm2d(144)
        self.stereo_feature_block1_0_1_act1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block1_0_1_conv_dw = torch.nn.Conv2d(144, 144, 3, padding=1, groups=144, stride=1, dilation=1, bias=False)
        self.stereo_feature_block1_0_1_bn2 = torch.nn.BatchNorm2d(144)
        self.stereo_feature_block1_0_1_act2 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block1_0_1_se = torch.nn.Identity()
        self.stereo_feature_block1_0_1_conv_pwl = torch.nn.Conv2d(144, 24, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block1_0_1_bn3 = torch.nn.BatchNorm2d(24)
        self.stereo_feature_block2_0_0_conv_pw = torch.nn.Conv2d(24, 144, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block2_0_0_bn1 = torch.nn.BatchNorm2d(144)
        self.stereo_feature_block2_0_0_act1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block2_0_0_conv_dw = torch.nn.Conv2d(144, 144, 3, padding=1, groups=144, stride=2, dilation=1, bias=False)
        self.stereo_feature_block2_0_0_bn2 = torch.nn.BatchNorm2d(144)
        self.stereo_feature_block2_0_0_act2 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block2_0_0_se = torch.nn.Identity()
        self.stereo_feature_block2_0_0_conv_pwl = torch.nn.Conv2d(144, 32, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block2_0_0_bn3 = torch.nn.BatchNorm2d(32)
        self.stereo_feature_block2_0_1_conv_pw = torch.nn.Conv2d(32, 192, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block2_0_1_bn1 = torch.nn.BatchNorm2d(192)
        self.stereo_feature_block2_0_1_act1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block2_0_1_conv_dw = torch.nn.Conv2d(192, 192, 3, padding=1, groups=192, stride=1, dilation=1, bias=False)
        self.stereo_feature_block2_0_1_bn2 = torch.nn.BatchNorm2d(192)
        self.stereo_feature_block2_0_1_act2 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block2_0_1_se = torch.nn.Identity()
        self.stereo_feature_block2_0_1_conv_pwl = torch.nn.Conv2d(192, 32, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block2_0_1_bn3 = torch.nn.BatchNorm2d(32)
        self.stereo_feature_block2_0_2_conv_pw = torch.nn.Conv2d(32, 192, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block2_0_2_bn1 = torch.nn.BatchNorm2d(192)
        self.stereo_feature_block2_0_2_act1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block2_0_2_conv_dw = torch.nn.Conv2d(192, 192, 3, padding=1, groups=192, stride=1, dilation=1, bias=False)
        self.stereo_feature_block2_0_2_bn2 = torch.nn.BatchNorm2d(192)
        self.stereo_feature_block2_0_2_act2 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block2_0_2_se = torch.nn.Identity()
        self.stereo_feature_block2_0_2_conv_pwl = torch.nn.Conv2d(192, 32, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block2_0_2_bn3 = torch.nn.BatchNorm2d(32)
        self.stereo_feature_block3_0_0_conv_pw = torch.nn.Conv2d(32, 192, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_0_0_bn1 = torch.nn.BatchNorm2d(192)
        self.stereo_feature_block3_0_0_act1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_0_0_conv_dw = torch.nn.Conv2d(192, 192, 3, padding=1, groups=192, stride=2, dilation=1, bias=False)
        self.stereo_feature_block3_0_0_bn2 = torch.nn.BatchNorm2d(192)
        self.stereo_feature_block3_0_0_act2 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_0_0_se = torch.nn.Identity()
        self.stereo_feature_block3_0_0_conv_pwl = torch.nn.Conv2d(192, 64, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_0_0_bn3 = torch.nn.BatchNorm2d(64)
        self.stereo_feature_block3_0_1_conv_pw = torch.nn.Conv2d(64, 384, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_0_1_bn1 = torch.nn.BatchNorm2d(384)
        self.stereo_feature_block3_0_1_act1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_0_1_conv_dw = torch.nn.Conv2d(384, 384, 3, padding=1, groups=384, stride=1, dilation=1, bias=False)
        self.stereo_feature_block3_0_1_bn2 = torch.nn.BatchNorm2d(384)
        self.stereo_feature_block3_0_1_act2 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_0_1_se = torch.nn.Identity()
        self.stereo_feature_block3_0_1_conv_pwl = torch.nn.Conv2d(384, 64, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_0_1_bn3 = torch.nn.BatchNorm2d(64)
        self.stereo_feature_block3_0_2_conv_pw = torch.nn.Conv2d(64, 384, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_0_2_bn1 = torch.nn.BatchNorm2d(384)
        self.stereo_feature_block3_0_2_act1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_0_2_conv_dw = torch.nn.Conv2d(384, 384, 3, padding=1, groups=384, stride=1, dilation=1, bias=False)
        self.stereo_feature_block3_0_2_bn2 = torch.nn.BatchNorm2d(384)
        self.stereo_feature_block3_0_2_act2 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_0_2_se = torch.nn.Identity()
        self.stereo_feature_block3_0_2_conv_pwl = torch.nn.Conv2d(384, 64, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_0_2_bn3 = torch.nn.BatchNorm2d(64)
        self.stereo_feature_block3_0_3_conv_pw = torch.nn.Conv2d(64, 384, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_0_3_bn1 = torch.nn.BatchNorm2d(384)
        self.stereo_feature_block3_0_3_act1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_0_3_conv_dw = torch.nn.Conv2d(384, 384, 3, padding=1, groups=384, stride=1, dilation=1, bias=False)
        self.stereo_feature_block3_0_3_bn2 = torch.nn.BatchNorm2d(384)
        self.stereo_feature_block3_0_3_act2 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_0_3_se = torch.nn.Identity()
        self.stereo_feature_block3_0_3_conv_pwl = torch.nn.Conv2d(384, 64, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_0_3_bn3 = torch.nn.BatchNorm2d(64)
        self.stereo_feature_block3_1_0_conv_pw = torch.nn.Conv2d(64, 384, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_1_0_bn1 = torch.nn.BatchNorm2d(384)
        self.stereo_feature_block3_1_0_act1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_1_0_conv_dw = torch.nn.Conv2d(384, 384, 3, padding=1, groups=384, stride=1, dilation=1, bias=False)
        self.stereo_feature_block3_1_0_bn2 = torch.nn.BatchNorm2d(384)
        self.stereo_feature_block3_1_0_act2 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_1_0_se = torch.nn.Identity()
        self.stereo_feature_block3_1_0_conv_pwl = torch.nn.Conv2d(384, 96, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_1_0_bn3 = torch.nn.BatchNorm2d(96)
        self.stereo_feature_block3_1_1_conv_pw = torch.nn.Conv2d(96, 576, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_1_1_bn1 = torch.nn.BatchNorm2d(576)
        self.stereo_feature_block3_1_1_act1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_1_1_conv_dw = torch.nn.Conv2d(576, 576, 3, padding=1, groups=576, stride=1, dilation=1, bias=False)
        self.stereo_feature_block3_1_1_bn2 = torch.nn.BatchNorm2d(576)
        self.stereo_feature_block3_1_1_act2 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_1_1_se = torch.nn.Identity()
        self.stereo_feature_block3_1_1_conv_pwl = torch.nn.Conv2d(576, 96, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_1_1_bn3 = torch.nn.BatchNorm2d(96)
        self.stereo_feature_block3_1_2_conv_pw = torch.nn.Conv2d(96, 576, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_1_2_bn1 = torch.nn.BatchNorm2d(576)
        self.stereo_feature_block3_1_2_act1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_1_2_conv_dw = torch.nn.Conv2d(576, 576, 3, padding=1, groups=576, stride=1, dilation=1, bias=False)
        self.stereo_feature_block3_1_2_bn2 = torch.nn.BatchNorm2d(576)
        self.stereo_feature_block3_1_2_act2 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_1_2_se = torch.nn.Identity()
        self.stereo_feature_block3_1_2_conv_pwl = torch.nn.Conv2d(576, 96, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_1_2_bn3 = torch.nn.BatchNorm2d(96)
        self.stereo_feature_block4_0_0_conv_pw = torch.nn.Conv2d(96, 576, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block4_0_0_bn1 = torch.nn.BatchNorm2d(576)
        self.stereo_feature_block4_0_0_act1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block4_0_0_conv_dw = torch.nn.Conv2d(576, 576, 3, padding=1, groups=576, stride=2, dilation=1, bias=False)
        self.stereo_feature_block4_0_0_bn2 = torch.nn.BatchNorm2d(576)
        self.stereo_feature_block4_0_0_act2 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block4_0_0_se = torch.nn.Identity()
        self.stereo_feature_block4_0_0_conv_pwl = torch.nn.Conv2d(576, 160, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block4_0_0_bn3 = torch.nn.BatchNorm2d(160)
        self.stereo_feature_block4_0_1_conv_pw = torch.nn.Conv2d(160, 960, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block4_0_1_bn1 = torch.nn.BatchNorm2d(960)
        self.stereo_feature_block4_0_1_act1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block4_0_1_conv_dw = torch.nn.Conv2d(960, 960, 3, padding=1, groups=960, stride=1, dilation=1, bias=False)
        self.stereo_feature_block4_0_1_bn2 = torch.nn.BatchNorm2d(960)
        self.stereo_feature_block4_0_1_act2 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block4_0_1_se = torch.nn.Identity()
        self.stereo_feature_block4_0_1_conv_pwl = torch.nn.Conv2d(960, 160, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block4_0_1_bn3 = torch.nn.BatchNorm2d(160)
        self.stereo_feature_block4_0_2_conv_pw = torch.nn.Conv2d(160, 960, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block4_0_2_bn1 = torch.nn.BatchNorm2d(960)
        self.stereo_feature_block4_0_2_act1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block4_0_2_conv_dw = torch.nn.Conv2d(960, 960, 3, padding=1, groups=960, stride=1, dilation=1, bias=False)
        self.stereo_feature_block4_0_2_bn2 = torch.nn.BatchNorm2d(960)
        self.stereo_feature_block4_0_2_act2 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block4_0_2_se = torch.nn.Identity()
        self.stereo_feature_block4_0_2_conv_pwl = torch.nn.Conv2d(960, 160, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block4_0_2_bn3 = torch.nn.BatchNorm2d(160)
        self.stereo_feature_conv_stem_1 = torch.nn.Conv2d(3, 32, 3, padding=1, groups=1, stride=2, bias=False)
        self.stereo_feature_bn1_1 = torch.nn.BatchNorm2d(32)
        self.stereo_feature_act1_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block0_0_0_conv_dw_1 = torch.nn.Conv2d(32, 32, 3, padding=1, groups=32, stride=1, dilation=1, bias=False)
        self.stereo_feature_block0_0_0_bn1_1 = torch.nn.BatchNorm2d(32)
        self.stereo_feature_block0_0_0_act1_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block0_0_0_se_1 = torch.nn.Identity()
        self.stereo_feature_block0_0_0_conv_pw_1 = torch.nn.Conv2d(32, 16, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block0_0_0_bn2_1 = torch.nn.BatchNorm2d(16)
        self.stereo_feature_block0_0_0_act2_1 = torch.nn.Identity()
        self.stereo_feature_block1_0_0_conv_pw_1 = torch.nn.Conv2d(16, 96, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block1_0_0_bn1_1 = torch.nn.BatchNorm2d(96)
        self.stereo_feature_block1_0_0_act1_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block1_0_0_conv_dw_1 = torch.nn.Conv2d(96, 96, 3, padding=1, groups=96, stride=2, dilation=1, bias=False)
        self.stereo_feature_block1_0_0_bn2_1 = torch.nn.BatchNorm2d(96)
        self.stereo_feature_block1_0_0_act2_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block1_0_0_se_1 = torch.nn.Identity()
        self.stereo_feature_block1_0_0_conv_pwl_1 = torch.nn.Conv2d(96, 24, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block1_0_0_bn3_1 = torch.nn.BatchNorm2d(24)
        self.stereo_feature_block1_0_1_conv_pw_1 = torch.nn.Conv2d(24, 144, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block1_0_1_bn1_1 = torch.nn.BatchNorm2d(144)
        self.stereo_feature_block1_0_1_act1_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block1_0_1_conv_dw_1 = torch.nn.Conv2d(144, 144, 3, padding=1, groups=144, stride=1, dilation=1, bias=False)
        self.stereo_feature_block1_0_1_bn2_1 = torch.nn.BatchNorm2d(144)
        self.stereo_feature_block1_0_1_act2_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block1_0_1_se_1 = torch.nn.Identity()
        self.stereo_feature_block1_0_1_conv_pwl_1 = torch.nn.Conv2d(144, 24, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block1_0_1_bn3_1 = torch.nn.BatchNorm2d(24)
        self.stereo_feature_block2_0_0_conv_pw_1 = torch.nn.Conv2d(24, 144, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block2_0_0_bn1_1 = torch.nn.BatchNorm2d(144)
        self.stereo_feature_block2_0_0_act1_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block2_0_0_conv_dw_1 = torch.nn.Conv2d(144, 144, 3, padding=1, groups=144, stride=2, dilation=1, bias=False)
        self.stereo_feature_block2_0_0_bn2_1 = torch.nn.BatchNorm2d(144)
        self.stereo_feature_block2_0_0_act2_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block2_0_0_se_1 = torch.nn.Identity()
        self.stereo_feature_block2_0_0_conv_pwl_1 = torch.nn.Conv2d(144, 32, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block2_0_0_bn3_1 = torch.nn.BatchNorm2d(32)
        self.stereo_feature_block2_0_1_conv_pw_1 = torch.nn.Conv2d(32, 192, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block2_0_1_bn1_1 = torch.nn.BatchNorm2d(192)
        self.stereo_feature_block2_0_1_act1_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block2_0_1_conv_dw_1 = torch.nn.Conv2d(192, 192, 3, padding=1, groups=192, stride=1, dilation=1, bias=False)
        self.stereo_feature_block2_0_1_bn2_1 = torch.nn.BatchNorm2d(192)
        self.stereo_feature_block2_0_1_act2_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block2_0_1_se_1 = torch.nn.Identity()
        self.stereo_feature_block2_0_1_conv_pwl_1 = torch.nn.Conv2d(192, 32, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block2_0_1_bn3_1 = torch.nn.BatchNorm2d(32)
        self.stereo_feature_block2_0_2_conv_pw_1 = torch.nn.Conv2d(32, 192, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block2_0_2_bn1_1 = torch.nn.BatchNorm2d(192)
        self.stereo_feature_block2_0_2_act1_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block2_0_2_conv_dw_1 = torch.nn.Conv2d(192, 192, 3, padding=1, groups=192, stride=1, dilation=1, bias=False)
        self.stereo_feature_block2_0_2_bn2_1 = torch.nn.BatchNorm2d(192)
        self.stereo_feature_block2_0_2_act2_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block2_0_2_se_1 = torch.nn.Identity()
        self.stereo_feature_block2_0_2_conv_pwl_1 = torch.nn.Conv2d(192, 32, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block2_0_2_bn3_1 = torch.nn.BatchNorm2d(32)
        self.stereo_feature_block3_0_0_conv_pw_1 = torch.nn.Conv2d(32, 192, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_0_0_bn1_1 = torch.nn.BatchNorm2d(192)
        self.stereo_feature_block3_0_0_act1_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_0_0_conv_dw_1 = torch.nn.Conv2d(192, 192, 3, padding=1, groups=192, stride=2, dilation=1, bias=False)
        self.stereo_feature_block3_0_0_bn2_1 = torch.nn.BatchNorm2d(192)
        self.stereo_feature_block3_0_0_act2_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_0_0_se_1 = torch.nn.Identity()
        self.stereo_feature_block3_0_0_conv_pwl_1 = torch.nn.Conv2d(192, 64, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_0_0_bn3_1 = torch.nn.BatchNorm2d(64)
        self.stereo_feature_block3_0_1_conv_pw_1 = torch.nn.Conv2d(64, 384, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_0_1_bn1_1 = torch.nn.BatchNorm2d(384)
        self.stereo_feature_block3_0_1_act1_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_0_1_conv_dw_1 = torch.nn.Conv2d(384, 384, 3, padding=1, groups=384, stride=1, dilation=1, bias=False)
        self.stereo_feature_block3_0_1_bn2_1 = torch.nn.BatchNorm2d(384)
        self.stereo_feature_block3_0_1_act2_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_0_1_se_1 = torch.nn.Identity()
        self.stereo_feature_block3_0_1_conv_pwl_1 = torch.nn.Conv2d(384, 64, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_0_1_bn3_1 = torch.nn.BatchNorm2d(64)
        self.stereo_feature_block3_0_2_conv_pw_1 = torch.nn.Conv2d(64, 384, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_0_2_bn1_1 = torch.nn.BatchNorm2d(384)
        self.stereo_feature_block3_0_2_act1_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_0_2_conv_dw_1 = torch.nn.Conv2d(384, 384, 3, padding=1, groups=384, stride=1, dilation=1, bias=False)
        self.stereo_feature_block3_0_2_bn2_1 = torch.nn.BatchNorm2d(384)
        self.stereo_feature_block3_0_2_act2_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_0_2_se_1 = torch.nn.Identity()
        self.stereo_feature_block3_0_2_conv_pwl_1 = torch.nn.Conv2d(384, 64, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_0_2_bn3_1 = torch.nn.BatchNorm2d(64)
        self.stereo_feature_block3_0_3_conv_pw_1 = torch.nn.Conv2d(64, 384, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_0_3_bn1_1 = torch.nn.BatchNorm2d(384)
        self.stereo_feature_block3_0_3_act1_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_0_3_conv_dw_1 = torch.nn.Conv2d(384, 384, 3, padding=1, groups=384, stride=1, dilation=1, bias=False)
        self.stereo_feature_block3_0_3_bn2_1 = torch.nn.BatchNorm2d(384)
        self.stereo_feature_block3_0_3_act2_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_0_3_se_1 = torch.nn.Identity()
        self.stereo_feature_block3_0_3_conv_pwl_1 = torch.nn.Conv2d(384, 64, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_0_3_bn3_1 = torch.nn.BatchNorm2d(64)
        self.stereo_feature_block3_1_0_conv_pw_1 = torch.nn.Conv2d(64, 384, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_1_0_bn1_1 = torch.nn.BatchNorm2d(384)
        self.stereo_feature_block3_1_0_act1_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_1_0_conv_dw_1 = torch.nn.Conv2d(384, 384, 3, padding=1, groups=384, stride=1, dilation=1, bias=False)
        self.stereo_feature_block3_1_0_bn2_1 = torch.nn.BatchNorm2d(384)
        self.stereo_feature_block3_1_0_act2_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_1_0_se_1 = torch.nn.Identity()
        self.stereo_feature_block3_1_0_conv_pwl_1 = torch.nn.Conv2d(384, 96, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_1_0_bn3_1 = torch.nn.BatchNorm2d(96)
        self.stereo_feature_block3_1_1_conv_pw_1 = torch.nn.Conv2d(96, 576, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_1_1_bn1_1 = torch.nn.BatchNorm2d(576)
        self.stereo_feature_block3_1_1_act1_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_1_1_conv_dw_1 = torch.nn.Conv2d(576, 576, 3, padding=1, groups=576, stride=1, dilation=1, bias=False)
        self.stereo_feature_block3_1_1_bn2_1 = torch.nn.BatchNorm2d(576)
        self.stereo_feature_block3_1_1_act2_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_1_1_se_1 = torch.nn.Identity()
        self.stereo_feature_block3_1_1_conv_pwl_1 = torch.nn.Conv2d(576, 96, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_1_1_bn3_1 = torch.nn.BatchNorm2d(96)
        self.stereo_feature_block3_1_2_conv_pw_1 = torch.nn.Conv2d(96, 576, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_1_2_bn1_1 = torch.nn.BatchNorm2d(576)
        self.stereo_feature_block3_1_2_act1_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_1_2_conv_dw_1 = torch.nn.Conv2d(576, 576, 3, padding=1, groups=576, stride=1, dilation=1, bias=False)
        self.stereo_feature_block3_1_2_bn2_1 = torch.nn.BatchNorm2d(576)
        self.stereo_feature_block3_1_2_act2_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block3_1_2_se_1 = torch.nn.Identity()
        self.stereo_feature_block3_1_2_conv_pwl_1 = torch.nn.Conv2d(576, 96, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block3_1_2_bn3_1 = torch.nn.BatchNorm2d(96)
        self.stereo_feature_block4_0_0_conv_pw_1 = torch.nn.Conv2d(96, 576, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block4_0_0_bn1_1 = torch.nn.BatchNorm2d(576)
        self.stereo_feature_block4_0_0_act1_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block4_0_0_conv_dw_1 = torch.nn.Conv2d(576, 576, 3, padding=1, groups=576, stride=2, dilation=1, bias=False)
        self.stereo_feature_block4_0_0_bn2_1 = torch.nn.BatchNorm2d(576)
        self.stereo_feature_block4_0_0_act2_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block4_0_0_se_1 = torch.nn.Identity()
        self.stereo_feature_block4_0_0_conv_pwl_1 = torch.nn.Conv2d(576, 160, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block4_0_0_bn3_1 = torch.nn.BatchNorm2d(160)
        self.stereo_feature_block4_0_1_conv_pw_1 = torch.nn.Conv2d(160, 960, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block4_0_1_bn1_1 = torch.nn.BatchNorm2d(960)
        self.stereo_feature_block4_0_1_act1_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block4_0_1_conv_dw_1 = torch.nn.Conv2d(960, 960, 3, padding=1, groups=960, stride=1, dilation=1, bias=False)
        self.stereo_feature_block4_0_1_bn2_1 = torch.nn.BatchNorm2d(960)
        self.stereo_feature_block4_0_1_act2_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block4_0_1_se_1 = torch.nn.Identity()
        self.stereo_feature_block4_0_1_conv_pwl_1 = torch.nn.Conv2d(960, 160, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block4_0_1_bn3_1 = torch.nn.BatchNorm2d(160)
        self.stereo_feature_block4_0_2_conv_pw_1 = torch.nn.Conv2d(160, 960, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block4_0_2_bn1_1 = torch.nn.BatchNorm2d(960)
        self.stereo_feature_block4_0_2_act1_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block4_0_2_conv_dw_1 = torch.nn.Conv2d(960, 960, 3, padding=1, groups=960, stride=1, dilation=1, bias=False)
        self.stereo_feature_block4_0_2_bn2_1 = torch.nn.BatchNorm2d(960)
        self.stereo_feature_block4_0_2_act2_1 = torch.nn.ReLU6(inplace=True)
        self.stereo_feature_block4_0_2_se_1 = torch.nn.Identity()
        self.stereo_feature_block4_0_2_conv_pwl_1 = torch.nn.Conv2d(960, 160, 1, padding=0, groups=1, bias=False)
        self.stereo_feature_block4_0_2_bn3_1 = torch.nn.BatchNorm2d(160)
        self.stereo_up_deconv32_16_conv1_conv = torch.nn.ConvTranspose2d(160, 96, bias=False, kernel_size=4, stride=2, padding=1)
        self.stereo_up_deconv32_16_conv1_bn = torch.nn.BatchNorm2d(96)
        self.stereo_up_deconv32_16_conv1_activate = torch.nn.LeakyReLU()
        self.stereo_up_deconv32_16_conv2_conv = torch.nn.Conv2d(192, 192, bias=False, kernel_size=3, stride=1, padding=1)
        self.stereo_up_deconv32_16_conv2_bn = torch.nn.BatchNorm2d(192)
        self.stereo_up_deconv32_16_conv2_activate = torch.nn.LeakyReLU()
        self.stereo_up_deconv32_16_conv1_conv_1 = torch.nn.ConvTranspose2d(160, 96, bias=False, kernel_size=4, stride=2, padding=1)
        self.stereo_up_deconv32_16_conv1_bn_1 = torch.nn.BatchNorm2d(96)
        self.stereo_up_deconv32_16_conv1_activate_1 = torch.nn.LeakyReLU()
        self.stereo_up_deconv32_16_conv2_conv_1 = torch.nn.Conv2d(192, 192, bias=False, kernel_size=3, stride=1, padding=1)
        self.stereo_up_deconv32_16_conv2_bn_1 = torch.nn.BatchNorm2d(192)
        self.stereo_up_deconv32_16_conv2_activate_1 = torch.nn.LeakyReLU()
        self.stereo_up_deconv16_8_conv1_conv = torch.nn.ConvTranspose2d(192, 32, bias=False, kernel_size=4, stride=2, padding=1)
        self.stereo_up_deconv16_8_conv1_bn = torch.nn.BatchNorm2d(32)
        self.stereo_up_deconv16_8_conv1_activate = torch.nn.LeakyReLU()
        self.stereo_up_deconv16_8_conv2_conv = torch.nn.Conv2d(64, 64, bias=False, kernel_size=3, stride=1, padding=1)
        self.stereo_up_deconv16_8_conv2_bn = torch.nn.BatchNorm2d(64)
        self.stereo_up_deconv16_8_conv2_activate = torch.nn.LeakyReLU()
        self.stereo_up_deconv16_8_conv1_conv_1 = torch.nn.ConvTranspose2d(192, 32, bias=False, kernel_size=4, stride=2, padding=1)
        self.stereo_up_deconv16_8_conv1_bn_1 = torch.nn.BatchNorm2d(32)
        self.stereo_up_deconv16_8_conv1_activate_1 = torch.nn.LeakyReLU()
        self.stereo_up_deconv16_8_conv2_conv_1 = torch.nn.Conv2d(64, 64, bias=False, kernel_size=3, stride=1, padding=1)
        self.stereo_up_deconv16_8_conv2_bn_1 = torch.nn.BatchNorm2d(64)
        self.stereo_up_deconv16_8_conv2_activate_1 = torch.nn.LeakyReLU()
        self.stereo_up_deconv8_4_conv1_conv = torch.nn.ConvTranspose2d(64, 24, bias=False, kernel_size=4, stride=2, padding=1)
        self.stereo_up_deconv8_4_conv1_bn = torch.nn.BatchNorm2d(24)
        self.stereo_up_deconv8_4_conv1_activate = torch.nn.LeakyReLU()
        self.stereo_up_deconv8_4_conv2_conv = torch.nn.Conv2d(48, 48, bias=False, kernel_size=3, stride=1, padding=1)
        self.stereo_up_deconv8_4_conv2_bn = torch.nn.BatchNorm2d(48)
        self.stereo_up_deconv8_4_conv2_activate = torch.nn.LeakyReLU()
        self.stereo_up_deconv8_4_conv1_conv_1 = torch.nn.ConvTranspose2d(64, 24, bias=False, kernel_size=4, stride=2, padding=1)
        self.stereo_up_deconv8_4_conv1_bn_1 = torch.nn.BatchNorm2d(24)
        self.stereo_up_deconv8_4_conv1_activate_1 = torch.nn.LeakyReLU()
        self.stereo_up_deconv8_4_conv2_conv_1 = torch.nn.Conv2d(48, 48, bias=False, kernel_size=3, stride=1, padding=1)
        self.stereo_up_deconv8_4_conv2_bn_1 = torch.nn.BatchNorm2d(48)
        self.stereo_up_deconv8_4_conv2_activate_1 = torch.nn.LeakyReLU()
        self.stereo_up_conv4_conv = torch.nn.Conv2d(48, 48, bias=False, kernel_size=3, stride=1, padding=1)
        self.stereo_up_conv4_bn = torch.nn.BatchNorm2d(48)
        self.stereo_up_conv4_activate = torch.nn.LeakyReLU()
        self.stereo_up_conv4_conv_1 = torch.nn.Conv2d(48, 48, bias=False, kernel_size=3, stride=1, padding=1)
        self.stereo_up_conv4_bn_1 = torch.nn.BatchNorm2d(48)
        self.stereo_up_conv4_activate_1 = torch.nn.LeakyReLU()
        self.stereo_stem_2_0_conv = torch.nn.Conv2d(3, 32, bias=False, kernel_size=3, stride=2, padding=1)
        self.stereo_stem_2_0_bn = torch.nn.BatchNorm2d(32)
        self.stereo_stem_2_0_activate = torch.nn.LeakyReLU()
        self.stereo_stem_2_1 = torch.nn.Conv2d(32, 32, 3, 1, 1, bias=False)
        self.stereo_stem_2_2 = torch.nn.BatchNorm2d(32)
        self.stereo_stem_2_3 = torch.nn.ReLU()
        self.stereo_stem_4_0_conv = torch.nn.Conv2d(32, 48, bias=False, kernel_size=3, stride=2, padding=1)
        self.stereo_stem_4_0_bn = torch.nn.BatchNorm2d(48)
        self.stereo_stem_4_0_activate = torch.nn.LeakyReLU()
        self.stereo_stem_4_1 = torch.nn.Conv2d(48, 48, 3, 1, 1, bias=False)
        self.stereo_stem_4_2 = torch.nn.BatchNorm2d(48)
        self.stereo_stem_4_3 = torch.nn.ReLU()
        self.stereo_stem_2_0_conv_1 = torch.nn.Conv2d(3, 32, bias=False, kernel_size=3, stride=2, padding=1)
        self.stereo_stem_2_0_bn_1 = torch.nn.BatchNorm2d(32)
        self.stereo_stem_2_0_activate_1 = torch.nn.LeakyReLU()
        self.stereo_stem_2_1_1 = torch.nn.Conv2d(32, 32, 3, 1, 1, bias=False)
        self.stereo_stem_2_2_1 = torch.nn.BatchNorm2d(32)
        self.stereo_stem_2_3_1 = torch.nn.ReLU()
        self.stereo_stem_4_0_conv_1 = torch.nn.Conv2d(32, 48, bias=False, kernel_size=3, stride=2, padding=1)
        self.stereo_stem_4_0_bn_1 = torch.nn.BatchNorm2d(48)
        self.stereo_stem_4_0_activate_1 = torch.nn.LeakyReLU()
        self.stereo_stem_4_1_1 = torch.nn.Conv2d(48, 48, 3, 1, 1, bias=False)
        self.stereo_stem_4_2_1 = torch.nn.BatchNorm2d(48)
        self.stereo_stem_4_3_1 = torch.nn.ReLU()
        self.stereo_cost_volume_conv_conv = torch.nn.Conv2d(96, 48, bias=False, kernel_size=3, padding=1, stride=1)
        self.stereo_cost_volume_conv_bn = torch.nn.BatchNorm2d(48)
        self.stereo_cost_volume_conv_activate = torch.nn.LeakyReLU()
        self.stereo_cost_volume_conv_conv_1 = torch.nn.Conv2d(96, 48, bias=False, kernel_size=3, padding=1, stride=1)
        self.stereo_cost_volume_conv_bn_1 = torch.nn.BatchNorm2d(48)
        self.stereo_cost_volume_conv_activate_1 = torch.nn.LeakyReLU()
        self.stereo_cost_volume_desc = torch.nn.Conv2d(48, 48, kernel_size=1, padding=0, stride=1)
        self.stereo_cost_volume_desc_1 = torch.nn.Conv2d(48, 48, kernel_size=1, padding=0, stride=1)
        self.stereo_cost_agg_conv_stem_conv = torch.nn.Conv3d(1, 8, bias=False, kernel_size=3, stride=1, padding=1)
        self.stereo_cost_agg_conv_stem_bn = torch.nn.BatchNorm3d(8)
        self.stereo_cost_agg_conv_stem_activate = torch.nn.LeakyReLU()
        self.stereo_cost_agg_channelAttStem_im_att_0_conv = torch.nn.Conv2d(96, 48, bias=False, kernel_size=1, stride=1, padding=0)
        self.stereo_cost_agg_channelAttStem_im_att_0_bn = torch.nn.BatchNorm2d(48)
        self.stereo_cost_agg_channelAttStem_im_att_0_activate = torch.nn.LeakyReLU()
        self.stereo_cost_agg_channelAttStem_im_att_1 = torch.nn.Conv2d(48, 8, 1)
        self.stereo_cost_agg_conv_down_0_0_conv = torch.nn.Conv3d(8, 16, bias=False, kernel_size=3, padding=1, stride=(2, 2, 2), dilation=1)
        self.stereo_cost_agg_conv_down_0_0_bn = torch.nn.BatchNorm3d(16)
        self.stereo_cost_agg_conv_down_0_0_activate = torch.nn.LeakyReLU()
        self.stereo_cost_agg_conv_down_0_1_conv = torch.nn.Conv3d(16, 16, bias=False, kernel_size=3, padding=1, stride=1, dilation=1)
        self.stereo_cost_agg_conv_down_0_1_bn = torch.nn.BatchNorm3d(16)
        self.stereo_cost_agg_conv_down_0_1_activate = torch.nn.LeakyReLU()
        self.stereo_cost_agg_channelAttDown_0_im_att_0_conv = torch.nn.Conv2d(64, 32, bias=False, kernel_size=1, stride=1, padding=0)
        self.stereo_cost_agg_channelAttDown_0_im_att_0_bn = torch.nn.BatchNorm2d(32)
        self.stereo_cost_agg_channelAttDown_0_im_att_0_activate = torch.nn.LeakyReLU()
        self.stereo_cost_agg_channelAttDown_0_im_att_1 = torch.nn.Conv2d(32, 16, 1)
        self.stereo_cost_agg_conv_down_1_0_conv = torch.nn.Conv3d(16, 32, bias=False, kernel_size=3, padding=1, stride=(2, 2, 2), dilation=1)
        self.stereo_cost_agg_conv_down_1_0_bn = torch.nn.BatchNorm3d(32)
        self.stereo_cost_agg_conv_down_1_0_activate = torch.nn.LeakyReLU()
        self.stereo_cost_agg_conv_down_1_1_conv = torch.nn.Conv3d(32, 32, bias=False, kernel_size=3, padding=1, stride=1, dilation=1)
        self.stereo_cost_agg_conv_down_1_1_bn = torch.nn.BatchNorm3d(32)
        self.stereo_cost_agg_conv_down_1_1_activate = torch.nn.LeakyReLU()
        self.stereo_cost_agg_channelAttDown_1_im_att_0_conv = torch.nn.Conv2d(192, 96, bias=False, kernel_size=1, stride=1, padding=0)
        self.stereo_cost_agg_channelAttDown_1_im_att_0_bn = torch.nn.BatchNorm2d(96)
        self.stereo_cost_agg_channelAttDown_1_im_att_0_activate = torch.nn.LeakyReLU()
        self.stereo_cost_agg_channelAttDown_1_im_att_1 = torch.nn.Conv2d(96, 32, 1)
        self.stereo_cost_agg_conv_down_2_0_conv = torch.nn.Conv3d(32, 48, bias=False, kernel_size=3, padding=1, stride=(2, 2, 2), dilation=1)
        self.stereo_cost_agg_conv_down_2_0_bn = torch.nn.BatchNorm3d(48)
        self.stereo_cost_agg_conv_down_2_0_activate = torch.nn.LeakyReLU()
        self.stereo_cost_agg_conv_down_2_1_conv = torch.nn.Conv3d(48, 48, bias=False, kernel_size=3, padding=1, stride=1, dilation=1)
        self.stereo_cost_agg_conv_down_2_1_bn = torch.nn.BatchNorm3d(48)
        self.stereo_cost_agg_conv_down_2_1_activate = torch.nn.LeakyReLU()
        self.stereo_cost_agg_channelAttDown_2_im_att_0_conv = torch.nn.Conv2d(160, 80, bias=False, kernel_size=1, stride=1, padding=0)
        self.stereo_cost_agg_channelAttDown_2_im_att_0_bn = torch.nn.BatchNorm2d(80)
        self.stereo_cost_agg_channelAttDown_2_im_att_0_activate = torch.nn.LeakyReLU()
        self.stereo_cost_agg_channelAttDown_2_im_att_1 = torch.nn.Conv2d(80, 48, 1)
        self.stereo_cost_agg_conv_up_2_conv = torch.nn.ConvTranspose3d(48, 32, bias=False, kernel_size=(4, 4, 4), padding=(1, 1, 1), stride=(2, 2, 2))
        self.stereo_cost_agg_conv_up_2_bn = torch.nn.BatchNorm3d(32)
        self.stereo_cost_agg_conv_up_2_activate = torch.nn.LeakyReLU()
        self.stereo_cost_agg_conv_skip_2_conv = torch.nn.Conv3d(64, 32, bias=False, kernel_size=1, padding=0, stride=1)
        self.stereo_cost_agg_conv_skip_2_bn = torch.nn.BatchNorm3d(32)
        self.stereo_cost_agg_conv_skip_2_activate = torch.nn.LeakyReLU()
        self.stereo_cost_agg_conv_agg_2_0_conv = torch.nn.Conv3d(32, 32, bias=False, kernel_size=3, padding=1, stride=1)
        self.stereo_cost_agg_conv_agg_2_0_bn = torch.nn.BatchNorm3d(32)
        self.stereo_cost_agg_conv_agg_2_0_activate = torch.nn.LeakyReLU()
        self.stereo_cost_agg_conv_agg_2_1_conv = torch.nn.Conv3d(32, 32, bias=False, kernel_size=3, padding=1, stride=1)
        self.stereo_cost_agg_conv_agg_2_1_bn = torch.nn.BatchNorm3d(32)
        self.stereo_cost_agg_conv_agg_2_1_activate = torch.nn.LeakyReLU()
        self.stereo_cost_agg_channelAtt_2_im_att_0_conv = torch.nn.Conv2d(192, 96, bias=False, kernel_size=1, stride=1, padding=0)
        self.stereo_cost_agg_channelAtt_2_im_att_0_bn = torch.nn.BatchNorm2d(96)
        self.stereo_cost_agg_channelAtt_2_im_att_0_activate = torch.nn.LeakyReLU()
        self.stereo_cost_agg_channelAtt_2_im_att_1 = torch.nn.Conv2d(96, 32, 1)
        self.stereo_cost_agg_conv_up_1_conv = torch.nn.ConvTranspose3d(32, 16, bias=False, kernel_size=(4, 4, 4), padding=(1, 1, 1), stride=(2, 2, 2))
        self.stereo_cost_agg_conv_up_1_bn = torch.nn.BatchNorm3d(16)
        self.stereo_cost_agg_conv_up_1_activate = torch.nn.LeakyReLU()
        self.stereo_cost_agg_conv_skip_1_conv = torch.nn.Conv3d(32, 16, bias=False, kernel_size=1, padding=0, stride=1)
        self.stereo_cost_agg_conv_skip_1_bn = torch.nn.BatchNorm3d(16)
        self.stereo_cost_agg_conv_skip_1_activate = torch.nn.LeakyReLU()
        self.stereo_cost_agg_conv_agg_1_0_conv_conv_s = torch.nn.Conv3d(16, 16, kernel_size=(1, 3, 3), stride=(1, 1, 1), padding=(0, 1, 1), bias=False)
        self.stereo_cost_agg_conv_agg_1_0_conv_conv_t = torch.nn.Conv3d(16, 16, kernel_size=(3, 1, 1), stride=(1, 1, 1), padding=(1, 0, 0), bias=False)
        self.stereo_cost_agg_conv_agg_1_0_bn = torch.nn.BatchNorm3d(16)
        self.stereo_cost_agg_conv_agg_1_0_activate = torch.nn.LeakyReLU()
        self.stereo_cost_agg_conv_agg_1_1_conv_conv_s = torch.nn.Conv3d(16, 16, kernel_size=(1, 3, 3), stride=(1, 1, 1), padding=(0, 1, 1), bias=False)
        self.stereo_cost_agg_conv_agg_1_1_conv_conv_t = torch.nn.Conv3d(16, 16, kernel_size=(3, 1, 1), stride=(1, 1, 1), padding=(1, 0, 0), bias=False)
        self.stereo_cost_agg_conv_agg_1_1_bn = torch.nn.BatchNorm3d(16)
        self.stereo_cost_agg_conv_agg_1_1_activate = torch.nn.LeakyReLU()
        self.stereo_cost_agg_channelAtt_1_im_att_0_conv = torch.nn.Conv2d(64, 32, bias=False, kernel_size=1, stride=1, padding=0)
        self.stereo_cost_agg_channelAtt_1_im_att_0_bn = torch.nn.BatchNorm2d(32)
        self.stereo_cost_agg_channelAtt_1_im_att_0_activate = torch.nn.LeakyReLU()
        self.stereo_cost_agg_channelAtt_1_im_att_1 = torch.nn.Conv2d(32, 16, 1)
        self.stereo_cost_agg_conv_up_0_conv = torch.nn.ConvTranspose3d(16, 1, bias=False, kernel_size=(4, 4, 4), padding=(1, 1, 1), stride=(2, 2, 2))
        self.stereo_spx_4_0_conv = torch.nn.Conv2d(96, 24, bias=False, kernel_size=3, stride=1, padding=1)
        self.stereo_spx_4_0_bn = torch.nn.BatchNorm2d(24)
        self.stereo_spx_4_0_activate = torch.nn.LeakyReLU()
        self.stereo_spx_4_1 = torch.nn.Conv2d(24, 24, 3, 1, 1, bias=False)
        self.stereo_spx_4_2 = torch.nn.BatchNorm2d(24)
        self.stereo_spx_4_3 = torch.nn.ReLU()
        self.stereo_spx_2_conv1_conv = torch.nn.ConvTranspose2d(24, 32, bias=False, kernel_size=4, stride=2, padding=1)
        self.stereo_spx_2_conv1_bn = torch.nn.BatchNorm2d(32)
        self.stereo_spx_2_conv1_activate = torch.nn.LeakyReLU()
        self.stereo_spx_2_conv2_conv = torch.nn.Conv2d(64, 64, bias=False, kernel_size=3, stride=1, padding=1)
        self.stereo_spx_2_conv2_bn = torch.nn.BatchNorm2d(64)
        self.stereo_spx_2_conv2_activate = torch.nn.LeakyReLU()
        self.stereo_spx_0 = torch.nn.Conv2d(64, 9, kernel_size=1, stride=1, bias=False)
        self.stereo_spx_1 = torch.nn.Upsample(scale_factor=2, mode="bilinear", align_corners=True)
        self.stereo_regression_up_disp4to2 = torch.nn.ConvTranspose2d(1, 1, 4, 2, 1, bias=False)
        self.stereo_regression_pred_res2_0 = torch.nn.Conv2d(65, 65, kernel_size=3, stride=1, padding=1, bias=False, groups=65)
        self.stereo_regression_pred_res2_1 = torch.nn.BatchNorm2d(65)
        self.stereo_regression_pred_res2_2 = torch.nn.LeakyReLU(0.1, inplace=True)
        self.stereo_regression_pred_res2_3 = torch.nn.Conv2d(65, 1, kernel_size=1, bias=False)
        self.stereo_regression_up_disp4to2_1 = torch.nn.ConvTranspose2d(1, 1, 4, 2, 1, bias=False)
        self.stereo_regression_pred_res1_0 = torch.nn.Conv2d(10, 10, kernel_size=3, stride=1, padding=1, bias=False, groups=10)
        self.stereo_regression_pred_res1_1 = torch.nn.BatchNorm2d(10)
        self.stereo_regression_pred_res1_2 = torch.nn.LeakyReLU(0.1, inplace=True)
        self.stereo_regression_pred_res1_3 = torch.nn.Conv2d(10, 1, kernel_size=1, bias=False)

    def forward(self, input_1_f,input_2_f):
        shape_1_f = input_1_f.shape
        mod_1_f = shape_1_f[2].__mod__(32)
        sub_1_f = mod_1_f.__rsub__(32)
        mod_2_f = shape_1_f[3].__mod__(32)
        sub_2_f = mod_2_f.__rsub__(32)
        stereo_feature_conv_stem = self.stereo_feature_conv_stem(input_1_f)
        stereo_feature_bn1 = self.stereo_feature_bn1(stereo_feature_conv_stem)
        stereo_feature_act1 = self.stereo_feature_act1(stereo_feature_bn1)
        stereo_feature_block0_0_0_conv_dw = self.stereo_feature_block0_0_0_conv_dw(stereo_feature_act1)
        stereo_feature_block0_0_0_bn1 = self.stereo_feature_block0_0_0_bn1(stereo_feature_block0_0_0_conv_dw)
        stereo_feature_block0_0_0_act1 = self.stereo_feature_block0_0_0_act1(stereo_feature_block0_0_0_bn1)
        stereo_feature_block0_0_0_se = self.stereo_feature_block0_0_0_se(stereo_feature_block0_0_0_act1)
        stereo_feature_block0_0_0_conv_pw = self.stereo_feature_block0_0_0_conv_pw(stereo_feature_block0_0_0_se)
        stereo_feature_block0_0_0_bn2 = self.stereo_feature_block0_0_0_bn2(stereo_feature_block0_0_0_conv_pw)
        stereo_feature_block0_0_0_act2 = self.stereo_feature_block0_0_0_act2(stereo_feature_block0_0_0_bn2)
        stereo_feature_block1_0_0_conv_pw = self.stereo_feature_block1_0_0_conv_pw(stereo_feature_block0_0_0_act2)
        stereo_feature_block1_0_0_bn1 = self.stereo_feature_block1_0_0_bn1(stereo_feature_block1_0_0_conv_pw)
        stereo_feature_block1_0_0_act1 = self.stereo_feature_block1_0_0_act1(stereo_feature_block1_0_0_bn1)
        stereo_feature_block1_0_0_conv_dw = self.stereo_feature_block1_0_0_conv_dw(stereo_feature_block1_0_0_act1)
        stereo_feature_block1_0_0_bn2 = self.stereo_feature_block1_0_0_bn2(stereo_feature_block1_0_0_conv_dw)
        stereo_feature_block1_0_0_act2 = self.stereo_feature_block1_0_0_act2(stereo_feature_block1_0_0_bn2)
        stereo_feature_block1_0_0_se = self.stereo_feature_block1_0_0_se(stereo_feature_block1_0_0_act2)
        stereo_feature_block1_0_0_conv_pwl = self.stereo_feature_block1_0_0_conv_pwl(stereo_feature_block1_0_0_se)
        stereo_feature_block1_0_0_bn3 = self.stereo_feature_block1_0_0_bn3(stereo_feature_block1_0_0_conv_pwl)
        stereo_feature_block1_0_1_conv_pw = self.stereo_feature_block1_0_1_conv_pw(stereo_feature_block1_0_0_bn3)
        stereo_feature_block1_0_1_bn1 = self.stereo_feature_block1_0_1_bn1(stereo_feature_block1_0_1_conv_pw)
        stereo_feature_block1_0_1_act1 = self.stereo_feature_block1_0_1_act1(stereo_feature_block1_0_1_bn1)
        stereo_feature_block1_0_1_conv_dw = self.stereo_feature_block1_0_1_conv_dw(stereo_feature_block1_0_1_act1)
        stereo_feature_block1_0_1_bn2 = self.stereo_feature_block1_0_1_bn2(stereo_feature_block1_0_1_conv_dw)
        stereo_feature_block1_0_1_act2 = self.stereo_feature_block1_0_1_act2(stereo_feature_block1_0_1_bn2)
        stereo_feature_block1_0_1_se = self.stereo_feature_block1_0_1_se(stereo_feature_block1_0_1_act2)
        stereo_feature_block1_0_1_conv_pwl = self.stereo_feature_block1_0_1_conv_pwl(stereo_feature_block1_0_1_se)
        stereo_feature_block1_0_1_bn3 = self.stereo_feature_block1_0_1_bn3(stereo_feature_block1_0_1_conv_pwl)
        stereo_feature_block1_0_1_bn3 = add_1_f = stereo_feature_block1_0_1_bn3.__add__(stereo_feature_block1_0_0_bn3)
        stereo_feature_block2_0_0_conv_pw = self.stereo_feature_block2_0_0_conv_pw(add_1_f)
        stereo_feature_block2_0_0_bn1 = self.stereo_feature_block2_0_0_bn1(stereo_feature_block2_0_0_conv_pw)
        stereo_feature_block2_0_0_act1 = self.stereo_feature_block2_0_0_act1(stereo_feature_block2_0_0_bn1)
        stereo_feature_block2_0_0_conv_dw = self.stereo_feature_block2_0_0_conv_dw(stereo_feature_block2_0_0_act1)
        stereo_feature_block2_0_0_bn2 = self.stereo_feature_block2_0_0_bn2(stereo_feature_block2_0_0_conv_dw)
        stereo_feature_block2_0_0_act2 = self.stereo_feature_block2_0_0_act2(stereo_feature_block2_0_0_bn2)
        stereo_feature_block2_0_0_se = self.stereo_feature_block2_0_0_se(stereo_feature_block2_0_0_act2)
        stereo_feature_block2_0_0_conv_pwl = self.stereo_feature_block2_0_0_conv_pwl(stereo_feature_block2_0_0_se)
        stereo_feature_block2_0_0_bn3 = self.stereo_feature_block2_0_0_bn3(stereo_feature_block2_0_0_conv_pwl)
        stereo_feature_block2_0_1_conv_pw = self.stereo_feature_block2_0_1_conv_pw(stereo_feature_block2_0_0_bn3)
        stereo_feature_block2_0_1_bn1 = self.stereo_feature_block2_0_1_bn1(stereo_feature_block2_0_1_conv_pw)
        stereo_feature_block2_0_1_act1 = self.stereo_feature_block2_0_1_act1(stereo_feature_block2_0_1_bn1)
        stereo_feature_block2_0_1_conv_dw = self.stereo_feature_block2_0_1_conv_dw(stereo_feature_block2_0_1_act1)
        stereo_feature_block2_0_1_bn2 = self.stereo_feature_block2_0_1_bn2(stereo_feature_block2_0_1_conv_dw)
        stereo_feature_block2_0_1_act2 = self.stereo_feature_block2_0_1_act2(stereo_feature_block2_0_1_bn2)
        stereo_feature_block2_0_1_se = self.stereo_feature_block2_0_1_se(stereo_feature_block2_0_1_act2)
        stereo_feature_block2_0_1_conv_pwl = self.stereo_feature_block2_0_1_conv_pwl(stereo_feature_block2_0_1_se)
        stereo_feature_block2_0_1_bn3 = self.stereo_feature_block2_0_1_bn3(stereo_feature_block2_0_1_conv_pwl)
        stereo_feature_block2_0_1_bn3 = add_2_f = stereo_feature_block2_0_1_bn3.__add__(stereo_feature_block2_0_0_bn3)
        stereo_feature_block2_0_2_conv_pw = self.stereo_feature_block2_0_2_conv_pw(add_2_f)
        stereo_feature_block2_0_2_bn1 = self.stereo_feature_block2_0_2_bn1(stereo_feature_block2_0_2_conv_pw)
        stereo_feature_block2_0_2_act1 = self.stereo_feature_block2_0_2_act1(stereo_feature_block2_0_2_bn1)
        stereo_feature_block2_0_2_conv_dw = self.stereo_feature_block2_0_2_conv_dw(stereo_feature_block2_0_2_act1)
        stereo_feature_block2_0_2_bn2 = self.stereo_feature_block2_0_2_bn2(stereo_feature_block2_0_2_conv_dw)
        stereo_feature_block2_0_2_act2 = self.stereo_feature_block2_0_2_act2(stereo_feature_block2_0_2_bn2)
        stereo_feature_block2_0_2_se = self.stereo_feature_block2_0_2_se(stereo_feature_block2_0_2_act2)
        stereo_feature_block2_0_2_conv_pwl = self.stereo_feature_block2_0_2_conv_pwl(stereo_feature_block2_0_2_se)
        stereo_feature_block2_0_2_bn3 = self.stereo_feature_block2_0_2_bn3(stereo_feature_block2_0_2_conv_pwl)
        stereo_feature_block2_0_2_bn3 = add_3_f = stereo_feature_block2_0_2_bn3.__add__(add_2_f)
        stereo_feature_block3_0_0_conv_pw = self.stereo_feature_block3_0_0_conv_pw(add_3_f)
        stereo_feature_block3_0_0_bn1 = self.stereo_feature_block3_0_0_bn1(stereo_feature_block3_0_0_conv_pw)
        stereo_feature_block3_0_0_act1 = self.stereo_feature_block3_0_0_act1(stereo_feature_block3_0_0_bn1)
        stereo_feature_block3_0_0_conv_dw = self.stereo_feature_block3_0_0_conv_dw(stereo_feature_block3_0_0_act1)
        stereo_feature_block3_0_0_bn2 = self.stereo_feature_block3_0_0_bn2(stereo_feature_block3_0_0_conv_dw)
        stereo_feature_block3_0_0_act2 = self.stereo_feature_block3_0_0_act2(stereo_feature_block3_0_0_bn2)
        stereo_feature_block3_0_0_se = self.stereo_feature_block3_0_0_se(stereo_feature_block3_0_0_act2)
        stereo_feature_block3_0_0_conv_pwl = self.stereo_feature_block3_0_0_conv_pwl(stereo_feature_block3_0_0_se)
        stereo_feature_block3_0_0_bn3 = self.stereo_feature_block3_0_0_bn3(stereo_feature_block3_0_0_conv_pwl)
        stereo_feature_block3_0_1_conv_pw = self.stereo_feature_block3_0_1_conv_pw(stereo_feature_block3_0_0_bn3)
        stereo_feature_block3_0_1_bn1 = self.stereo_feature_block3_0_1_bn1(stereo_feature_block3_0_1_conv_pw)
        stereo_feature_block3_0_1_act1 = self.stereo_feature_block3_0_1_act1(stereo_feature_block3_0_1_bn1)
        stereo_feature_block3_0_1_conv_dw = self.stereo_feature_block3_0_1_conv_dw(stereo_feature_block3_0_1_act1)
        stereo_feature_block3_0_1_bn2 = self.stereo_feature_block3_0_1_bn2(stereo_feature_block3_0_1_conv_dw)
        stereo_feature_block3_0_1_act2 = self.stereo_feature_block3_0_1_act2(stereo_feature_block3_0_1_bn2)
        stereo_feature_block3_0_1_se = self.stereo_feature_block3_0_1_se(stereo_feature_block3_0_1_act2)
        stereo_feature_block3_0_1_conv_pwl = self.stereo_feature_block3_0_1_conv_pwl(stereo_feature_block3_0_1_se)
        stereo_feature_block3_0_1_bn3 = self.stereo_feature_block3_0_1_bn3(stereo_feature_block3_0_1_conv_pwl)
        stereo_feature_block3_0_1_bn3 = add_4_f = stereo_feature_block3_0_1_bn3.__add__(stereo_feature_block3_0_0_bn3)
        stereo_feature_block3_0_2_conv_pw = self.stereo_feature_block3_0_2_conv_pw(add_4_f)
        stereo_feature_block3_0_2_bn1 = self.stereo_feature_block3_0_2_bn1(stereo_feature_block3_0_2_conv_pw)
        stereo_feature_block3_0_2_act1 = self.stereo_feature_block3_0_2_act1(stereo_feature_block3_0_2_bn1)
        stereo_feature_block3_0_2_conv_dw = self.stereo_feature_block3_0_2_conv_dw(stereo_feature_block3_0_2_act1)
        stereo_feature_block3_0_2_bn2 = self.stereo_feature_block3_0_2_bn2(stereo_feature_block3_0_2_conv_dw)
        stereo_feature_block3_0_2_act2 = self.stereo_feature_block3_0_2_act2(stereo_feature_block3_0_2_bn2)
        stereo_feature_block3_0_2_se = self.stereo_feature_block3_0_2_se(stereo_feature_block3_0_2_act2)
        stereo_feature_block3_0_2_conv_pwl = self.stereo_feature_block3_0_2_conv_pwl(stereo_feature_block3_0_2_se)
        stereo_feature_block3_0_2_bn3 = self.stereo_feature_block3_0_2_bn3(stereo_feature_block3_0_2_conv_pwl)
        stereo_feature_block3_0_2_bn3 = add_5_f = stereo_feature_block3_0_2_bn3.__add__(add_4_f)
        stereo_feature_block3_0_3_conv_pw = self.stereo_feature_block3_0_3_conv_pw(add_5_f)
        stereo_feature_block3_0_3_bn1 = self.stereo_feature_block3_0_3_bn1(stereo_feature_block3_0_3_conv_pw)
        stereo_feature_block3_0_3_act1 = self.stereo_feature_block3_0_3_act1(stereo_feature_block3_0_3_bn1)
        stereo_feature_block3_0_3_conv_dw = self.stereo_feature_block3_0_3_conv_dw(stereo_feature_block3_0_3_act1)
        stereo_feature_block3_0_3_bn2 = self.stereo_feature_block3_0_3_bn2(stereo_feature_block3_0_3_conv_dw)
        stereo_feature_block3_0_3_act2 = self.stereo_feature_block3_0_3_act2(stereo_feature_block3_0_3_bn2)
        stereo_feature_block3_0_3_se = self.stereo_feature_block3_0_3_se(stereo_feature_block3_0_3_act2)
        stereo_feature_block3_0_3_conv_pwl = self.stereo_feature_block3_0_3_conv_pwl(stereo_feature_block3_0_3_se)
        stereo_feature_block3_0_3_bn3 = self.stereo_feature_block3_0_3_bn3(stereo_feature_block3_0_3_conv_pwl)
        stereo_feature_block3_0_3_bn3 = add_6_f = stereo_feature_block3_0_3_bn3.__add__(add_5_f)
        stereo_feature_block3_1_0_conv_pw = self.stereo_feature_block3_1_0_conv_pw(add_6_f)
        stereo_feature_block3_1_0_bn1 = self.stereo_feature_block3_1_0_bn1(stereo_feature_block3_1_0_conv_pw)
        stereo_feature_block3_1_0_act1 = self.stereo_feature_block3_1_0_act1(stereo_feature_block3_1_0_bn1)
        stereo_feature_block3_1_0_conv_dw = self.stereo_feature_block3_1_0_conv_dw(stereo_feature_block3_1_0_act1)
        stereo_feature_block3_1_0_bn2 = self.stereo_feature_block3_1_0_bn2(stereo_feature_block3_1_0_conv_dw)
        stereo_feature_block3_1_0_act2 = self.stereo_feature_block3_1_0_act2(stereo_feature_block3_1_0_bn2)
        stereo_feature_block3_1_0_se = self.stereo_feature_block3_1_0_se(stereo_feature_block3_1_0_act2)
        stereo_feature_block3_1_0_conv_pwl = self.stereo_feature_block3_1_0_conv_pwl(stereo_feature_block3_1_0_se)
        stereo_feature_block3_1_0_bn3 = self.stereo_feature_block3_1_0_bn3(stereo_feature_block3_1_0_conv_pwl)
        stereo_feature_block3_1_1_conv_pw = self.stereo_feature_block3_1_1_conv_pw(stereo_feature_block3_1_0_bn3)
        stereo_feature_block3_1_1_bn1 = self.stereo_feature_block3_1_1_bn1(stereo_feature_block3_1_1_conv_pw)
        stereo_feature_block3_1_1_act1 = self.stereo_feature_block3_1_1_act1(stereo_feature_block3_1_1_bn1)
        stereo_feature_block3_1_1_conv_dw = self.stereo_feature_block3_1_1_conv_dw(stereo_feature_block3_1_1_act1)
        stereo_feature_block3_1_1_bn2 = self.stereo_feature_block3_1_1_bn2(stereo_feature_block3_1_1_conv_dw)
        stereo_feature_block3_1_1_act2 = self.stereo_feature_block3_1_1_act2(stereo_feature_block3_1_1_bn2)
        stereo_feature_block3_1_1_se = self.stereo_feature_block3_1_1_se(stereo_feature_block3_1_1_act2)
        stereo_feature_block3_1_1_conv_pwl = self.stereo_feature_block3_1_1_conv_pwl(stereo_feature_block3_1_1_se)
        stereo_feature_block3_1_1_bn3 = self.stereo_feature_block3_1_1_bn3(stereo_feature_block3_1_1_conv_pwl)
        stereo_feature_block3_1_1_bn3 = add_7_f = stereo_feature_block3_1_1_bn3.__add__(stereo_feature_block3_1_0_bn3)
        stereo_feature_block3_1_2_conv_pw = self.stereo_feature_block3_1_2_conv_pw(add_7_f)
        stereo_feature_block3_1_2_bn1 = self.stereo_feature_block3_1_2_bn1(stereo_feature_block3_1_2_conv_pw)
        stereo_feature_block3_1_2_act1 = self.stereo_feature_block3_1_2_act1(stereo_feature_block3_1_2_bn1)
        stereo_feature_block3_1_2_conv_dw = self.stereo_feature_block3_1_2_conv_dw(stereo_feature_block3_1_2_act1)
        stereo_feature_block3_1_2_bn2 = self.stereo_feature_block3_1_2_bn2(stereo_feature_block3_1_2_conv_dw)
        stereo_feature_block3_1_2_act2 = self.stereo_feature_block3_1_2_act2(stereo_feature_block3_1_2_bn2)
        stereo_feature_block3_1_2_se = self.stereo_feature_block3_1_2_se(stereo_feature_block3_1_2_act2)
        stereo_feature_block3_1_2_conv_pwl = self.stereo_feature_block3_1_2_conv_pwl(stereo_feature_block3_1_2_se)
        stereo_feature_block3_1_2_bn3 = self.stereo_feature_block3_1_2_bn3(stereo_feature_block3_1_2_conv_pwl)
        stereo_feature_block3_1_2_bn3 = add_8_f = stereo_feature_block3_1_2_bn3.__add__(add_7_f)
        stereo_feature_block4_0_0_conv_pw = self.stereo_feature_block4_0_0_conv_pw(add_8_f)
        stereo_feature_block4_0_0_bn1 = self.stereo_feature_block4_0_0_bn1(stereo_feature_block4_0_0_conv_pw)
        stereo_feature_block4_0_0_act1 = self.stereo_feature_block4_0_0_act1(stereo_feature_block4_0_0_bn1)
        stereo_feature_block4_0_0_conv_dw = self.stereo_feature_block4_0_0_conv_dw(stereo_feature_block4_0_0_act1)
        stereo_feature_block4_0_0_bn2 = self.stereo_feature_block4_0_0_bn2(stereo_feature_block4_0_0_conv_dw)
        stereo_feature_block4_0_0_act2 = self.stereo_feature_block4_0_0_act2(stereo_feature_block4_0_0_bn2)
        stereo_feature_block4_0_0_se = self.stereo_feature_block4_0_0_se(stereo_feature_block4_0_0_act2)
        stereo_feature_block4_0_0_conv_pwl = self.stereo_feature_block4_0_0_conv_pwl(stereo_feature_block4_0_0_se)
        stereo_feature_block4_0_0_bn3 = self.stereo_feature_block4_0_0_bn3(stereo_feature_block4_0_0_conv_pwl)
        stereo_feature_block4_0_1_conv_pw = self.stereo_feature_block4_0_1_conv_pw(stereo_feature_block4_0_0_bn3)
        stereo_feature_block4_0_1_bn1 = self.stereo_feature_block4_0_1_bn1(stereo_feature_block4_0_1_conv_pw)
        stereo_feature_block4_0_1_act1 = self.stereo_feature_block4_0_1_act1(stereo_feature_block4_0_1_bn1)
        stereo_feature_block4_0_1_conv_dw = self.stereo_feature_block4_0_1_conv_dw(stereo_feature_block4_0_1_act1)
        stereo_feature_block4_0_1_bn2 = self.stereo_feature_block4_0_1_bn2(stereo_feature_block4_0_1_conv_dw)
        stereo_feature_block4_0_1_act2 = self.stereo_feature_block4_0_1_act2(stereo_feature_block4_0_1_bn2)
        stereo_feature_block4_0_1_se = self.stereo_feature_block4_0_1_se(stereo_feature_block4_0_1_act2)
        stereo_feature_block4_0_1_conv_pwl = self.stereo_feature_block4_0_1_conv_pwl(stereo_feature_block4_0_1_se)
        stereo_feature_block4_0_1_bn3 = self.stereo_feature_block4_0_1_bn3(stereo_feature_block4_0_1_conv_pwl)
        stereo_feature_block4_0_1_bn3 = add_9_f = stereo_feature_block4_0_1_bn3.__add__(stereo_feature_block4_0_0_bn3)
        stereo_feature_block4_0_2_conv_pw = self.stereo_feature_block4_0_2_conv_pw(add_9_f)
        stereo_feature_block4_0_2_bn1 = self.stereo_feature_block4_0_2_bn1(stereo_feature_block4_0_2_conv_pw)
        stereo_feature_block4_0_2_act1 = self.stereo_feature_block4_0_2_act1(stereo_feature_block4_0_2_bn1)
        stereo_feature_block4_0_2_conv_dw = self.stereo_feature_block4_0_2_conv_dw(stereo_feature_block4_0_2_act1)
        stereo_feature_block4_0_2_bn2 = self.stereo_feature_block4_0_2_bn2(stereo_feature_block4_0_2_conv_dw)
        stereo_feature_block4_0_2_act2 = self.stereo_feature_block4_0_2_act2(stereo_feature_block4_0_2_bn2)
        stereo_feature_block4_0_2_se = self.stereo_feature_block4_0_2_se(stereo_feature_block4_0_2_act2)
        stereo_feature_block4_0_2_conv_pwl = self.stereo_feature_block4_0_2_conv_pwl(stereo_feature_block4_0_2_se)
        stereo_feature_block4_0_2_bn3 = self.stereo_feature_block4_0_2_bn3(stereo_feature_block4_0_2_conv_pwl)
        stereo_feature_block4_0_2_bn3 = add_10_f = stereo_feature_block4_0_2_bn3.__add__(add_9_f)
        stereo_feature_conv_stem_1 = self.stereo_feature_conv_stem_1(input_2_f)
        stereo_feature_bn1_1 = self.stereo_feature_bn1_1(stereo_feature_conv_stem_1)
        stereo_feature_act1_1 = self.stereo_feature_act1_1(stereo_feature_bn1_1)
        stereo_feature_block0_0_0_conv_dw_1 = self.stereo_feature_block0_0_0_conv_dw_1(stereo_feature_act1_1)
        stereo_feature_block0_0_0_bn1_1 = self.stereo_feature_block0_0_0_bn1_1(stereo_feature_block0_0_0_conv_dw_1)
        stereo_feature_block0_0_0_act1_1 = self.stereo_feature_block0_0_0_act1_1(stereo_feature_block0_0_0_bn1_1)
        stereo_feature_block0_0_0_se_1 = self.stereo_feature_block0_0_0_se_1(stereo_feature_block0_0_0_act1_1)
        stereo_feature_block0_0_0_conv_pw_1 = self.stereo_feature_block0_0_0_conv_pw_1(stereo_feature_block0_0_0_se_1)
        stereo_feature_block0_0_0_bn2_1 = self.stereo_feature_block0_0_0_bn2_1(stereo_feature_block0_0_0_conv_pw_1)
        stereo_feature_block0_0_0_act2_1 = self.stereo_feature_block0_0_0_act2_1(stereo_feature_block0_0_0_bn2_1)
        stereo_feature_block1_0_0_conv_pw_1 = self.stereo_feature_block1_0_0_conv_pw_1(stereo_feature_block0_0_0_act2_1)
        stereo_feature_block1_0_0_bn1_1 = self.stereo_feature_block1_0_0_bn1_1(stereo_feature_block1_0_0_conv_pw_1)
        stereo_feature_block1_0_0_act1_1 = self.stereo_feature_block1_0_0_act1_1(stereo_feature_block1_0_0_bn1_1)
        stereo_feature_block1_0_0_conv_dw_1 = self.stereo_feature_block1_0_0_conv_dw_1(stereo_feature_block1_0_0_act1_1)
        stereo_feature_block1_0_0_bn2_1 = self.stereo_feature_block1_0_0_bn2_1(stereo_feature_block1_0_0_conv_dw_1)
        stereo_feature_block1_0_0_act2_1 = self.stereo_feature_block1_0_0_act2_1(stereo_feature_block1_0_0_bn2_1)
        stereo_feature_block1_0_0_se_1 = self.stereo_feature_block1_0_0_se_1(stereo_feature_block1_0_0_act2_1)
        stereo_feature_block1_0_0_conv_pwl_1 = self.stereo_feature_block1_0_0_conv_pwl_1(stereo_feature_block1_0_0_se_1)
        stereo_feature_block1_0_0_bn3_1 = self.stereo_feature_block1_0_0_bn3_1(stereo_feature_block1_0_0_conv_pwl_1)
        stereo_feature_block1_0_1_conv_pw_1 = self.stereo_feature_block1_0_1_conv_pw_1(stereo_feature_block1_0_0_bn3_1)
        stereo_feature_block1_0_1_bn1_1 = self.stereo_feature_block1_0_1_bn1_1(stereo_feature_block1_0_1_conv_pw_1)
        stereo_feature_block1_0_1_act1_1 = self.stereo_feature_block1_0_1_act1_1(stereo_feature_block1_0_1_bn1_1)
        stereo_feature_block1_0_1_conv_dw_1 = self.stereo_feature_block1_0_1_conv_dw_1(stereo_feature_block1_0_1_act1_1)
        stereo_feature_block1_0_1_bn2_1 = self.stereo_feature_block1_0_1_bn2_1(stereo_feature_block1_0_1_conv_dw_1)
        stereo_feature_block1_0_1_act2_1 = self.stereo_feature_block1_0_1_act2_1(stereo_feature_block1_0_1_bn2_1)
        stereo_feature_block1_0_1_se_1 = self.stereo_feature_block1_0_1_se_1(stereo_feature_block1_0_1_act2_1)
        stereo_feature_block1_0_1_conv_pwl_1 = self.stereo_feature_block1_0_1_conv_pwl_1(stereo_feature_block1_0_1_se_1)
        stereo_feature_block1_0_1_bn3_1 = self.stereo_feature_block1_0_1_bn3_1(stereo_feature_block1_0_1_conv_pwl_1)
        stereo_feature_block1_0_1_bn3_1 = add_11_f = stereo_feature_block1_0_1_bn3_1.__add__(stereo_feature_block1_0_0_bn3_1)
        stereo_feature_block2_0_0_conv_pw_1 = self.stereo_feature_block2_0_0_conv_pw_1(add_11_f)
        stereo_feature_block2_0_0_bn1_1 = self.stereo_feature_block2_0_0_bn1_1(stereo_feature_block2_0_0_conv_pw_1)
        stereo_feature_block2_0_0_act1_1 = self.stereo_feature_block2_0_0_act1_1(stereo_feature_block2_0_0_bn1_1)
        stereo_feature_block2_0_0_conv_dw_1 = self.stereo_feature_block2_0_0_conv_dw_1(stereo_feature_block2_0_0_act1_1)
        stereo_feature_block2_0_0_bn2_1 = self.stereo_feature_block2_0_0_bn2_1(stereo_feature_block2_0_0_conv_dw_1)
        stereo_feature_block2_0_0_act2_1 = self.stereo_feature_block2_0_0_act2_1(stereo_feature_block2_0_0_bn2_1)
        stereo_feature_block2_0_0_se_1 = self.stereo_feature_block2_0_0_se_1(stereo_feature_block2_0_0_act2_1)
        stereo_feature_block2_0_0_conv_pwl_1 = self.stereo_feature_block2_0_0_conv_pwl_1(stereo_feature_block2_0_0_se_1)
        stereo_feature_block2_0_0_bn3_1 = self.stereo_feature_block2_0_0_bn3_1(stereo_feature_block2_0_0_conv_pwl_1)
        stereo_feature_block2_0_1_conv_pw_1 = self.stereo_feature_block2_0_1_conv_pw_1(stereo_feature_block2_0_0_bn3_1)
        stereo_feature_block2_0_1_bn1_1 = self.stereo_feature_block2_0_1_bn1_1(stereo_feature_block2_0_1_conv_pw_1)
        stereo_feature_block2_0_1_act1_1 = self.stereo_feature_block2_0_1_act1_1(stereo_feature_block2_0_1_bn1_1)
        stereo_feature_block2_0_1_conv_dw_1 = self.stereo_feature_block2_0_1_conv_dw_1(stereo_feature_block2_0_1_act1_1)
        stereo_feature_block2_0_1_bn2_1 = self.stereo_feature_block2_0_1_bn2_1(stereo_feature_block2_0_1_conv_dw_1)
        stereo_feature_block2_0_1_act2_1 = self.stereo_feature_block2_0_1_act2_1(stereo_feature_block2_0_1_bn2_1)
        stereo_feature_block2_0_1_se_1 = self.stereo_feature_block2_0_1_se_1(stereo_feature_block2_0_1_act2_1)
        stereo_feature_block2_0_1_conv_pwl_1 = self.stereo_feature_block2_0_1_conv_pwl_1(stereo_feature_block2_0_1_se_1)
        stereo_feature_block2_0_1_bn3_1 = self.stereo_feature_block2_0_1_bn3_1(stereo_feature_block2_0_1_conv_pwl_1)
        stereo_feature_block2_0_1_bn3_1 = add_12_f = stereo_feature_block2_0_1_bn3_1.__add__(stereo_feature_block2_0_0_bn3_1)
        stereo_feature_block2_0_2_conv_pw_1 = self.stereo_feature_block2_0_2_conv_pw_1(add_12_f)
        stereo_feature_block2_0_2_bn1_1 = self.stereo_feature_block2_0_2_bn1_1(stereo_feature_block2_0_2_conv_pw_1)
        stereo_feature_block2_0_2_act1_1 = self.stereo_feature_block2_0_2_act1_1(stereo_feature_block2_0_2_bn1_1)
        stereo_feature_block2_0_2_conv_dw_1 = self.stereo_feature_block2_0_2_conv_dw_1(stereo_feature_block2_0_2_act1_1)
        stereo_feature_block2_0_2_bn2_1 = self.stereo_feature_block2_0_2_bn2_1(stereo_feature_block2_0_2_conv_dw_1)
        stereo_feature_block2_0_2_act2_1 = self.stereo_feature_block2_0_2_act2_1(stereo_feature_block2_0_2_bn2_1)
        stereo_feature_block2_0_2_se_1 = self.stereo_feature_block2_0_2_se_1(stereo_feature_block2_0_2_act2_1)
        stereo_feature_block2_0_2_conv_pwl_1 = self.stereo_feature_block2_0_2_conv_pwl_1(stereo_feature_block2_0_2_se_1)
        stereo_feature_block2_0_2_bn3_1 = self.stereo_feature_block2_0_2_bn3_1(stereo_feature_block2_0_2_conv_pwl_1)
        stereo_feature_block2_0_2_bn3_1 = add_13_f = stereo_feature_block2_0_2_bn3_1.__add__(add_12_f)
        stereo_feature_block3_0_0_conv_pw_1 = self.stereo_feature_block3_0_0_conv_pw_1(add_13_f)
        stereo_feature_block3_0_0_bn1_1 = self.stereo_feature_block3_0_0_bn1_1(stereo_feature_block3_0_0_conv_pw_1)
        stereo_feature_block3_0_0_act1_1 = self.stereo_feature_block3_0_0_act1_1(stereo_feature_block3_0_0_bn1_1)
        stereo_feature_block3_0_0_conv_dw_1 = self.stereo_feature_block3_0_0_conv_dw_1(stereo_feature_block3_0_0_act1_1)
        stereo_feature_block3_0_0_bn2_1 = self.stereo_feature_block3_0_0_bn2_1(stereo_feature_block3_0_0_conv_dw_1)
        stereo_feature_block3_0_0_act2_1 = self.stereo_feature_block3_0_0_act2_1(stereo_feature_block3_0_0_bn2_1)
        stereo_feature_block3_0_0_se_1 = self.stereo_feature_block3_0_0_se_1(stereo_feature_block3_0_0_act2_1)
        stereo_feature_block3_0_0_conv_pwl_1 = self.stereo_feature_block3_0_0_conv_pwl_1(stereo_feature_block3_0_0_se_1)
        stereo_feature_block3_0_0_bn3_1 = self.stereo_feature_block3_0_0_bn3_1(stereo_feature_block3_0_0_conv_pwl_1)
        stereo_feature_block3_0_1_conv_pw_1 = self.stereo_feature_block3_0_1_conv_pw_1(stereo_feature_block3_0_0_bn3_1)
        stereo_feature_block3_0_1_bn1_1 = self.stereo_feature_block3_0_1_bn1_1(stereo_feature_block3_0_1_conv_pw_1)
        stereo_feature_block3_0_1_act1_1 = self.stereo_feature_block3_0_1_act1_1(stereo_feature_block3_0_1_bn1_1)
        stereo_feature_block3_0_1_conv_dw_1 = self.stereo_feature_block3_0_1_conv_dw_1(stereo_feature_block3_0_1_act1_1)
        stereo_feature_block3_0_1_bn2_1 = self.stereo_feature_block3_0_1_bn2_1(stereo_feature_block3_0_1_conv_dw_1)
        stereo_feature_block3_0_1_act2_1 = self.stereo_feature_block3_0_1_act2_1(stereo_feature_block3_0_1_bn2_1)
        stereo_feature_block3_0_1_se_1 = self.stereo_feature_block3_0_1_se_1(stereo_feature_block3_0_1_act2_1)
        stereo_feature_block3_0_1_conv_pwl_1 = self.stereo_feature_block3_0_1_conv_pwl_1(stereo_feature_block3_0_1_se_1)
        stereo_feature_block3_0_1_bn3_1 = self.stereo_feature_block3_0_1_bn3_1(stereo_feature_block3_0_1_conv_pwl_1)
        stereo_feature_block3_0_1_bn3_1 = add_14_f = stereo_feature_block3_0_1_bn3_1.__add__(stereo_feature_block3_0_0_bn3_1)
        stereo_feature_block3_0_2_conv_pw_1 = self.stereo_feature_block3_0_2_conv_pw_1(add_14_f)
        stereo_feature_block3_0_2_bn1_1 = self.stereo_feature_block3_0_2_bn1_1(stereo_feature_block3_0_2_conv_pw_1)
        stereo_feature_block3_0_2_act1_1 = self.stereo_feature_block3_0_2_act1_1(stereo_feature_block3_0_2_bn1_1)
        stereo_feature_block3_0_2_conv_dw_1 = self.stereo_feature_block3_0_2_conv_dw_1(stereo_feature_block3_0_2_act1_1)
        stereo_feature_block3_0_2_bn2_1 = self.stereo_feature_block3_0_2_bn2_1(stereo_feature_block3_0_2_conv_dw_1)
        stereo_feature_block3_0_2_act2_1 = self.stereo_feature_block3_0_2_act2_1(stereo_feature_block3_0_2_bn2_1)
        stereo_feature_block3_0_2_se_1 = self.stereo_feature_block3_0_2_se_1(stereo_feature_block3_0_2_act2_1)
        stereo_feature_block3_0_2_conv_pwl_1 = self.stereo_feature_block3_0_2_conv_pwl_1(stereo_feature_block3_0_2_se_1)
        stereo_feature_block3_0_2_bn3_1 = self.stereo_feature_block3_0_2_bn3_1(stereo_feature_block3_0_2_conv_pwl_1)
        stereo_feature_block3_0_2_bn3_1 = add_15_f = stereo_feature_block3_0_2_bn3_1.__add__(add_14_f)
        stereo_feature_block3_0_3_conv_pw_1 = self.stereo_feature_block3_0_3_conv_pw_1(add_15_f)
        stereo_feature_block3_0_3_bn1_1 = self.stereo_feature_block3_0_3_bn1_1(stereo_feature_block3_0_3_conv_pw_1)
        stereo_feature_block3_0_3_act1_1 = self.stereo_feature_block3_0_3_act1_1(stereo_feature_block3_0_3_bn1_1)
        stereo_feature_block3_0_3_conv_dw_1 = self.stereo_feature_block3_0_3_conv_dw_1(stereo_feature_block3_0_3_act1_1)
        stereo_feature_block3_0_3_bn2_1 = self.stereo_feature_block3_0_3_bn2_1(stereo_feature_block3_0_3_conv_dw_1)
        stereo_feature_block3_0_3_act2_1 = self.stereo_feature_block3_0_3_act2_1(stereo_feature_block3_0_3_bn2_1)
        stereo_feature_block3_0_3_se_1 = self.stereo_feature_block3_0_3_se_1(stereo_feature_block3_0_3_act2_1)
        stereo_feature_block3_0_3_conv_pwl_1 = self.stereo_feature_block3_0_3_conv_pwl_1(stereo_feature_block3_0_3_se_1)
        stereo_feature_block3_0_3_bn3_1 = self.stereo_feature_block3_0_3_bn3_1(stereo_feature_block3_0_3_conv_pwl_1)
        stereo_feature_block3_0_3_bn3_1 = add_16_f = stereo_feature_block3_0_3_bn3_1.__add__(add_15_f)
        stereo_feature_block3_1_0_conv_pw_1 = self.stereo_feature_block3_1_0_conv_pw_1(add_16_f)
        stereo_feature_block3_1_0_bn1_1 = self.stereo_feature_block3_1_0_bn1_1(stereo_feature_block3_1_0_conv_pw_1)
        stereo_feature_block3_1_0_act1_1 = self.stereo_feature_block3_1_0_act1_1(stereo_feature_block3_1_0_bn1_1)
        stereo_feature_block3_1_0_conv_dw_1 = self.stereo_feature_block3_1_0_conv_dw_1(stereo_feature_block3_1_0_act1_1)
        stereo_feature_block3_1_0_bn2_1 = self.stereo_feature_block3_1_0_bn2_1(stereo_feature_block3_1_0_conv_dw_1)
        stereo_feature_block3_1_0_act2_1 = self.stereo_feature_block3_1_0_act2_1(stereo_feature_block3_1_0_bn2_1)
        stereo_feature_block3_1_0_se_1 = self.stereo_feature_block3_1_0_se_1(stereo_feature_block3_1_0_act2_1)
        stereo_feature_block3_1_0_conv_pwl_1 = self.stereo_feature_block3_1_0_conv_pwl_1(stereo_feature_block3_1_0_se_1)
        stereo_feature_block3_1_0_bn3_1 = self.stereo_feature_block3_1_0_bn3_1(stereo_feature_block3_1_0_conv_pwl_1)
        stereo_feature_block3_1_1_conv_pw_1 = self.stereo_feature_block3_1_1_conv_pw_1(stereo_feature_block3_1_0_bn3_1)
        stereo_feature_block3_1_1_bn1_1 = self.stereo_feature_block3_1_1_bn1_1(stereo_feature_block3_1_1_conv_pw_1)
        stereo_feature_block3_1_1_act1_1 = self.stereo_feature_block3_1_1_act1_1(stereo_feature_block3_1_1_bn1_1)
        stereo_feature_block3_1_1_conv_dw_1 = self.stereo_feature_block3_1_1_conv_dw_1(stereo_feature_block3_1_1_act1_1)
        stereo_feature_block3_1_1_bn2_1 = self.stereo_feature_block3_1_1_bn2_1(stereo_feature_block3_1_1_conv_dw_1)
        stereo_feature_block3_1_1_act2_1 = self.stereo_feature_block3_1_1_act2_1(stereo_feature_block3_1_1_bn2_1)
        stereo_feature_block3_1_1_se_1 = self.stereo_feature_block3_1_1_se_1(stereo_feature_block3_1_1_act2_1)
        stereo_feature_block3_1_1_conv_pwl_1 = self.stereo_feature_block3_1_1_conv_pwl_1(stereo_feature_block3_1_1_se_1)
        stereo_feature_block3_1_1_bn3_1 = self.stereo_feature_block3_1_1_bn3_1(stereo_feature_block3_1_1_conv_pwl_1)
        stereo_feature_block3_1_1_bn3_1 = add_17_f = stereo_feature_block3_1_1_bn3_1.__add__(stereo_feature_block3_1_0_bn3_1)
        stereo_feature_block3_1_2_conv_pw_1 = self.stereo_feature_block3_1_2_conv_pw_1(add_17_f)
        stereo_feature_block3_1_2_bn1_1 = self.stereo_feature_block3_1_2_bn1_1(stereo_feature_block3_1_2_conv_pw_1)
        stereo_feature_block3_1_2_act1_1 = self.stereo_feature_block3_1_2_act1_1(stereo_feature_block3_1_2_bn1_1)
        stereo_feature_block3_1_2_conv_dw_1 = self.stereo_feature_block3_1_2_conv_dw_1(stereo_feature_block3_1_2_act1_1)
        stereo_feature_block3_1_2_bn2_1 = self.stereo_feature_block3_1_2_bn2_1(stereo_feature_block3_1_2_conv_dw_1)
        stereo_feature_block3_1_2_act2_1 = self.stereo_feature_block3_1_2_act2_1(stereo_feature_block3_1_2_bn2_1)
        stereo_feature_block3_1_2_se_1 = self.stereo_feature_block3_1_2_se_1(stereo_feature_block3_1_2_act2_1)
        stereo_feature_block3_1_2_conv_pwl_1 = self.stereo_feature_block3_1_2_conv_pwl_1(stereo_feature_block3_1_2_se_1)
        stereo_feature_block3_1_2_bn3_1 = self.stereo_feature_block3_1_2_bn3_1(stereo_feature_block3_1_2_conv_pwl_1)
        stereo_feature_block3_1_2_bn3_1 = add_18_f = stereo_feature_block3_1_2_bn3_1.__add__(add_17_f)
        stereo_feature_block4_0_0_conv_pw_1 = self.stereo_feature_block4_0_0_conv_pw_1(add_18_f)
        stereo_feature_block4_0_0_bn1_1 = self.stereo_feature_block4_0_0_bn1_1(stereo_feature_block4_0_0_conv_pw_1)
        stereo_feature_block4_0_0_act1_1 = self.stereo_feature_block4_0_0_act1_1(stereo_feature_block4_0_0_bn1_1)
        stereo_feature_block4_0_0_conv_dw_1 = self.stereo_feature_block4_0_0_conv_dw_1(stereo_feature_block4_0_0_act1_1)
        stereo_feature_block4_0_0_bn2_1 = self.stereo_feature_block4_0_0_bn2_1(stereo_feature_block4_0_0_conv_dw_1)
        stereo_feature_block4_0_0_act2_1 = self.stereo_feature_block4_0_0_act2_1(stereo_feature_block4_0_0_bn2_1)
        stereo_feature_block4_0_0_se_1 = self.stereo_feature_block4_0_0_se_1(stereo_feature_block4_0_0_act2_1)
        stereo_feature_block4_0_0_conv_pwl_1 = self.stereo_feature_block4_0_0_conv_pwl_1(stereo_feature_block4_0_0_se_1)
        stereo_feature_block4_0_0_bn3_1 = self.stereo_feature_block4_0_0_bn3_1(stereo_feature_block4_0_0_conv_pwl_1)
        stereo_feature_block4_0_1_conv_pw_1 = self.stereo_feature_block4_0_1_conv_pw_1(stereo_feature_block4_0_0_bn3_1)
        stereo_feature_block4_0_1_bn1_1 = self.stereo_feature_block4_0_1_bn1_1(stereo_feature_block4_0_1_conv_pw_1)
        stereo_feature_block4_0_1_act1_1 = self.stereo_feature_block4_0_1_act1_1(stereo_feature_block4_0_1_bn1_1)
        stereo_feature_block4_0_1_conv_dw_1 = self.stereo_feature_block4_0_1_conv_dw_1(stereo_feature_block4_0_1_act1_1)
        stereo_feature_block4_0_1_bn2_1 = self.stereo_feature_block4_0_1_bn2_1(stereo_feature_block4_0_1_conv_dw_1)
        stereo_feature_block4_0_1_act2_1 = self.stereo_feature_block4_0_1_act2_1(stereo_feature_block4_0_1_bn2_1)
        stereo_feature_block4_0_1_se_1 = self.stereo_feature_block4_0_1_se_1(stereo_feature_block4_0_1_act2_1)
        stereo_feature_block4_0_1_conv_pwl_1 = self.stereo_feature_block4_0_1_conv_pwl_1(stereo_feature_block4_0_1_se_1)
        stereo_feature_block4_0_1_bn3_1 = self.stereo_feature_block4_0_1_bn3_1(stereo_feature_block4_0_1_conv_pwl_1)
        stereo_feature_block4_0_1_bn3_1 = add_19_f = stereo_feature_block4_0_1_bn3_1.__add__(stereo_feature_block4_0_0_bn3_1)
        stereo_feature_block4_0_2_conv_pw_1 = self.stereo_feature_block4_0_2_conv_pw_1(add_19_f)
        stereo_feature_block4_0_2_bn1_1 = self.stereo_feature_block4_0_2_bn1_1(stereo_feature_block4_0_2_conv_pw_1)
        stereo_feature_block4_0_2_act1_1 = self.stereo_feature_block4_0_2_act1_1(stereo_feature_block4_0_2_bn1_1)
        stereo_feature_block4_0_2_conv_dw_1 = self.stereo_feature_block4_0_2_conv_dw_1(stereo_feature_block4_0_2_act1_1)
        stereo_feature_block4_0_2_bn2_1 = self.stereo_feature_block4_0_2_bn2_1(stereo_feature_block4_0_2_conv_dw_1)
        stereo_feature_block4_0_2_act2_1 = self.stereo_feature_block4_0_2_act2_1(stereo_feature_block4_0_2_bn2_1)
        stereo_feature_block4_0_2_se_1 = self.stereo_feature_block4_0_2_se_1(stereo_feature_block4_0_2_act2_1)
        stereo_feature_block4_0_2_conv_pwl_1 = self.stereo_feature_block4_0_2_conv_pwl_1(stereo_feature_block4_0_2_se_1)
        stereo_feature_block4_0_2_bn3_1 = self.stereo_feature_block4_0_2_bn3_1(stereo_feature_block4_0_2_conv_pwl_1)
        stereo_feature_block4_0_2_bn3_1 = add_20_f = stereo_feature_block4_0_2_bn3_1.__add__(add_19_f)
        stereo_up_deconv32_16_conv1_conv = self.stereo_up_deconv32_16_conv1_conv(add_10_f)
        stereo_up_deconv32_16_conv1_bn = self.stereo_up_deconv32_16_conv1_bn(stereo_up_deconv32_16_conv1_conv)
        stereo_up_deconv32_16_conv1_activate = self.stereo_up_deconv32_16_conv1_activate(stereo_up_deconv32_16_conv1_bn)
        shape_2_f = stereo_up_deconv32_16_conv1_activate.shape
        interpolate_1_f = torch.nn.functional.interpolate(stereo_up_deconv32_16_conv1_activate, size=[shape_2_f[2], shape_2_f[3]], mode='nearest')
        cat_1_f = torch.cat([interpolate_1_f, add_8_f], 1)
        stereo_up_deconv32_16_conv2_conv = self.stereo_up_deconv32_16_conv2_conv(cat_1_f)
        stereo_up_deconv32_16_conv2_bn = self.stereo_up_deconv32_16_conv2_bn(stereo_up_deconv32_16_conv2_conv)
        stereo_up_deconv32_16_conv2_activate = self.stereo_up_deconv32_16_conv2_activate(stereo_up_deconv32_16_conv2_bn)
        stereo_up_deconv32_16_conv1_conv_1 = self.stereo_up_deconv32_16_conv1_conv_1(add_20_f)
        stereo_up_deconv32_16_conv1_bn_1 = self.stereo_up_deconv32_16_conv1_bn_1(stereo_up_deconv32_16_conv1_conv_1)
        stereo_up_deconv32_16_conv1_activate_1 = self.stereo_up_deconv32_16_conv1_activate_1(stereo_up_deconv32_16_conv1_bn_1)
        shape_3_f = stereo_up_deconv32_16_conv1_activate_1.shape
        interpolate_2_f = torch.nn.functional.interpolate(stereo_up_deconv32_16_conv1_activate_1, size=[shape_3_f[2], shape_3_f[3]], mode='nearest')
        cat_2_f = torch.cat([interpolate_2_f, add_18_f], 1)
        stereo_up_deconv32_16_conv2_conv_1 = self.stereo_up_deconv32_16_conv2_conv_1(cat_2_f)
        stereo_up_deconv32_16_conv2_bn_1 = self.stereo_up_deconv32_16_conv2_bn_1(stereo_up_deconv32_16_conv2_conv_1)
        stereo_up_deconv32_16_conv2_activate_1 = self.stereo_up_deconv32_16_conv2_activate_1(stereo_up_deconv32_16_conv2_bn_1)
        stereo_up_deconv16_8_conv1_conv = self.stereo_up_deconv16_8_conv1_conv(stereo_up_deconv32_16_conv2_activate)
        stereo_up_deconv16_8_conv1_bn = self.stereo_up_deconv16_8_conv1_bn(stereo_up_deconv16_8_conv1_conv)
        stereo_up_deconv16_8_conv1_activate = self.stereo_up_deconv16_8_conv1_activate(stereo_up_deconv16_8_conv1_bn)
        shape_4_f = stereo_up_deconv16_8_conv1_activate.shape
        interpolate_3_f = torch.nn.functional.interpolate(stereo_up_deconv16_8_conv1_activate, size=[shape_4_f[2], shape_4_f[3]], mode='nearest')
        cat_3_f = torch.cat([interpolate_3_f, add_3_f], 1)
        stereo_up_deconv16_8_conv2_conv = self.stereo_up_deconv16_8_conv2_conv(cat_3_f)
        stereo_up_deconv16_8_conv2_bn = self.stereo_up_deconv16_8_conv2_bn(stereo_up_deconv16_8_conv2_conv)
        stereo_up_deconv16_8_conv2_activate = self.stereo_up_deconv16_8_conv2_activate(stereo_up_deconv16_8_conv2_bn)
        stereo_up_deconv16_8_conv1_conv_1 = self.stereo_up_deconv16_8_conv1_conv_1(stereo_up_deconv32_16_conv2_activate_1)
        stereo_up_deconv16_8_conv1_bn_1 = self.stereo_up_deconv16_8_conv1_bn_1(stereo_up_deconv16_8_conv1_conv_1)
        stereo_up_deconv16_8_conv1_activate_1 = self.stereo_up_deconv16_8_conv1_activate_1(stereo_up_deconv16_8_conv1_bn_1)
        shape_5_f = stereo_up_deconv16_8_conv1_activate_1.shape
        interpolate_4_f = torch.nn.functional.interpolate(stereo_up_deconv16_8_conv1_activate_1, size=[shape_5_f[2], shape_5_f[3]], mode='nearest')
        cat_4_f = torch.cat([interpolate_4_f, add_13_f], 1)
        stereo_up_deconv16_8_conv2_conv_1 = self.stereo_up_deconv16_8_conv2_conv_1(cat_4_f)
        stereo_up_deconv16_8_conv2_bn_1 = self.stereo_up_deconv16_8_conv2_bn_1(stereo_up_deconv16_8_conv2_conv_1)
        stereo_up_deconv16_8_conv2_activate_1 = self.stereo_up_deconv16_8_conv2_activate_1(stereo_up_deconv16_8_conv2_bn_1)
        stereo_up_deconv8_4_conv1_conv = self.stereo_up_deconv8_4_conv1_conv(stereo_up_deconv16_8_conv2_activate)
        stereo_up_deconv8_4_conv1_bn = self.stereo_up_deconv8_4_conv1_bn(stereo_up_deconv8_4_conv1_conv)
        stereo_up_deconv8_4_conv1_activate = self.stereo_up_deconv8_4_conv1_activate(stereo_up_deconv8_4_conv1_bn)
        shape_6_f = stereo_up_deconv8_4_conv1_activate.shape
        interpolate_5_f = torch.nn.functional.interpolate(stereo_up_deconv8_4_conv1_activate, size=[shape_6_f[2], shape_6_f[3]], mode='nearest')
        cat_5_f = torch.cat([interpolate_5_f, add_1_f], 1)
        stereo_up_deconv8_4_conv2_conv = self.stereo_up_deconv8_4_conv2_conv(cat_5_f)
        stereo_up_deconv8_4_conv2_bn = self.stereo_up_deconv8_4_conv2_bn(stereo_up_deconv8_4_conv2_conv)
        stereo_up_deconv8_4_conv2_activate = self.stereo_up_deconv8_4_conv2_activate(stereo_up_deconv8_4_conv2_bn)
        stereo_up_deconv8_4_conv1_conv_1 = self.stereo_up_deconv8_4_conv1_conv_1(stereo_up_deconv16_8_conv2_activate_1)
        stereo_up_deconv8_4_conv1_bn_1 = self.stereo_up_deconv8_4_conv1_bn_1(stereo_up_deconv8_4_conv1_conv_1)
        stereo_up_deconv8_4_conv1_activate_1 = self.stereo_up_deconv8_4_conv1_activate_1(stereo_up_deconv8_4_conv1_bn_1)
        shape_7_f = stereo_up_deconv8_4_conv1_activate_1.shape
        interpolate_6_f = torch.nn.functional.interpolate(stereo_up_deconv8_4_conv1_activate_1, size=[shape_7_f[2], shape_7_f[3]], mode='nearest')
        cat_6_f = torch.cat([interpolate_6_f, add_11_f], 1)
        stereo_up_deconv8_4_conv2_conv_1 = self.stereo_up_deconv8_4_conv2_conv_1(cat_6_f)
        stereo_up_deconv8_4_conv2_bn_1 = self.stereo_up_deconv8_4_conv2_bn_1(stereo_up_deconv8_4_conv2_conv_1)
        stereo_up_deconv8_4_conv2_activate_1 = self.stereo_up_deconv8_4_conv2_activate_1(stereo_up_deconv8_4_conv2_bn_1)
        stereo_up_conv4_conv = self.stereo_up_conv4_conv(stereo_up_deconv8_4_conv2_activate)
        stereo_up_conv4_bn = self.stereo_up_conv4_bn(stereo_up_conv4_conv)
        stereo_up_conv4_activate = self.stereo_up_conv4_activate(stereo_up_conv4_bn)
        stereo_up_conv4_conv_1 = self.stereo_up_conv4_conv_1(stereo_up_deconv8_4_conv2_activate_1)
        stereo_up_conv4_bn_1 = self.stereo_up_conv4_bn_1(stereo_up_conv4_conv_1)
        stereo_up_conv4_activate_1 = self.stereo_up_conv4_activate_1(stereo_up_conv4_bn_1)
        stereo_stem_2_0_conv = self.stereo_stem_2_0_conv(input_1_f)
        stereo_stem_2_0_bn = self.stereo_stem_2_0_bn(stereo_stem_2_0_conv)
        stereo_stem_2_0_activate = self.stereo_stem_2_0_activate(stereo_stem_2_0_bn)
        stereo_stem_2_1 = self.stereo_stem_2_1(stereo_stem_2_0_activate)
        stereo_stem_2_2 = self.stereo_stem_2_2(stereo_stem_2_1)
        stereo_stem_2_3 = self.stereo_stem_2_3(stereo_stem_2_2)
        stereo_stem_4_0_conv = self.stereo_stem_4_0_conv(stereo_stem_2_3)
        stereo_stem_4_0_bn = self.stereo_stem_4_0_bn(stereo_stem_4_0_conv)
        stereo_stem_4_0_activate = self.stereo_stem_4_0_activate(stereo_stem_4_0_bn)
        stereo_stem_4_1 = self.stereo_stem_4_1(stereo_stem_4_0_activate)
        stereo_stem_4_2 = self.stereo_stem_4_2(stereo_stem_4_1)
        stereo_stem_4_3 = self.stereo_stem_4_3(stereo_stem_4_2)
        stereo_stem_2_0_conv_1 = self.stereo_stem_2_0_conv_1(input_2_f)
        stereo_stem_2_0_bn_1 = self.stereo_stem_2_0_bn_1(stereo_stem_2_0_conv_1)
        stereo_stem_2_0_activate_1 = self.stereo_stem_2_0_activate_1(stereo_stem_2_0_bn_1)
        stereo_stem_2_1_1 = self.stereo_stem_2_1_1(stereo_stem_2_0_activate_1)
        stereo_stem_2_2_1 = self.stereo_stem_2_2_1(stereo_stem_2_1_1)
        stereo_stem_2_3_1 = self.stereo_stem_2_3_1(stereo_stem_2_2_1)
        stereo_stem_4_0_conv_1 = self.stereo_stem_4_0_conv_1(stereo_stem_2_3_1)
        stereo_stem_4_0_bn_1 = self.stereo_stem_4_0_bn_1(stereo_stem_4_0_conv_1)
        stereo_stem_4_0_activate_1 = self.stereo_stem_4_0_activate_1(stereo_stem_4_0_bn_1)
        stereo_stem_4_1_1 = self.stereo_stem_4_1_1(stereo_stem_4_0_activate_1)
        stereo_stem_4_2_1 = self.stereo_stem_4_2_1(stereo_stem_4_1_1)
        stereo_stem_4_3_1 = self.stereo_stem_4_3_1(stereo_stem_4_2_1)
        cat_7_f = torch.cat([stereo_up_conv4_activate, stereo_stem_4_3], 1)
        cat_8_f = torch.cat([stereo_up_conv4_activate_1, stereo_stem_4_3_1], 1)
        shape_8_f = cat_7_f.shape
        stereo_cost_volume_conv_conv = self.stereo_cost_volume_conv_conv(cat_7_f)
        stereo_cost_volume_conv_bn = self.stereo_cost_volume_conv_bn(stereo_cost_volume_conv_conv)
        stereo_cost_volume_conv_activate = self.stereo_cost_volume_conv_activate(stereo_cost_volume_conv_bn)
        stereo_cost_volume_conv_conv_1 = self.stereo_cost_volume_conv_conv_1(cat_8_f)
        stereo_cost_volume_conv_bn_1 = self.stereo_cost_volume_conv_bn_1(stereo_cost_volume_conv_conv_1)
        stereo_cost_volume_conv_activate_1 = self.stereo_cost_volume_conv_activate_1(stereo_cost_volume_conv_bn_1)
        stereo_cost_volume_desc = self.stereo_cost_volume_desc(stereo_cost_volume_conv_activate)
        stereo_cost_volume_desc_1 = self.stereo_cost_volume_desc_1(stereo_cost_volume_conv_activate_1)
        size_1_f = stereo_cost_volume_desc.size()
        floordiv_1_f = size_1_f[1].__floordiv__(16)
        mul_1_f = floordiv_1_f.__rmul__(0)
        add_21_f = mul_1_f.__add__(floordiv_1_f)
        getitem_1_f = stereo_cost_volume_desc[:, mul_1_f:add_21_f, :, :]
        getitem_2_f = stereo_cost_volume_desc_1[:, mul_1_f:add_21_f, :, :]
        mul_2_f = getitem_1_f.__mul__(getitem_2_f)
        mean_1_f = mul_2_f.mean(dim=1, keepdim=True)
        mul_3_f = floordiv_1_f.__rmul__(1)
        add_22_f = mul_3_f.__add__(floordiv_1_f)
        getitem_3_f = stereo_cost_volume_desc[:, mul_3_f:add_22_f, :, 1:]
        getitem_4_f = stereo_cost_volume_desc_1[:, mul_3_f:add_22_f, :, :-1]
        mul_4_f = getitem_3_f.__mul__(getitem_4_f)
        mean_2_f = mul_4_f.mean(dim=1, keepdim=True)
        pad_1_f = torch.nn.functional.pad(mean_2_f, [1, 0, 0, 0], mode='constant')
        mul_5_f = floordiv_1_f.__rmul__(2)
        add_23_f = mul_5_f.__add__(floordiv_1_f)
        getitem_5_f = stereo_cost_volume_desc[:, mul_5_f:add_23_f, :, 2:]
        getitem_6_f = stereo_cost_volume_desc_1[:, mul_5_f:add_23_f, :, :-2]
        mul_6_f = getitem_5_f.__mul__(getitem_6_f)
        mean_3_f = mul_6_f.mean(dim=1, keepdim=True)
        pad_2_f = torch.nn.functional.pad(mean_3_f, [2, 0, 0, 0], mode='constant')
        mul_7_f = floordiv_1_f.__rmul__(3)
        add_24_f = mul_7_f.__add__(floordiv_1_f)
        getitem_7_f = stereo_cost_volume_desc[:, mul_7_f:add_24_f, :, 3:]
        getitem_8_f = stereo_cost_volume_desc_1[:, mul_7_f:add_24_f, :, :-3]
        mul_8_f = getitem_7_f.__mul__(getitem_8_f)
        mean_4_f = mul_8_f.mean(dim=1, keepdim=True)
        pad_3_f = torch.nn.functional.pad(mean_4_f, [3, 0, 0, 0], mode='constant')
        mul_9_f = floordiv_1_f.__rmul__(4)
        add_25_f = mul_9_f.__add__(floordiv_1_f)
        getitem_9_f = stereo_cost_volume_desc[:, mul_9_f:add_25_f, :, 4:]
        getitem_10_f = stereo_cost_volume_desc_1[:, mul_9_f:add_25_f, :, :-4]
        mul_10_f = getitem_9_f.__mul__(getitem_10_f)
        mean_5_f = mul_10_f.mean(dim=1, keepdim=True)
        pad_4_f = torch.nn.functional.pad(mean_5_f, [4, 0, 0, 0], mode='constant')
        mul_11_f = floordiv_1_f.__rmul__(5)
        add_26_f = mul_11_f.__add__(floordiv_1_f)
        getitem_11_f = stereo_cost_volume_desc[:, mul_11_f:add_26_f, :, 5:]
        getitem_12_f = stereo_cost_volume_desc_1[:, mul_11_f:add_26_f, :, :-5]
        mul_12_f = getitem_11_f.__mul__(getitem_12_f)
        mean_6_f = mul_12_f.mean(dim=1, keepdim=True)
        pad_5_f = torch.nn.functional.pad(mean_6_f, [5, 0, 0, 0], mode='constant')
        mul_13_f = floordiv_1_f.__rmul__(6)
        add_27_f = mul_13_f.__add__(floordiv_1_f)
        getitem_13_f = stereo_cost_volume_desc[:, mul_13_f:add_27_f, :, 6:]
        getitem_14_f = stereo_cost_volume_desc_1[:, mul_13_f:add_27_f, :, :-6]
        mul_14_f = getitem_13_f.__mul__(getitem_14_f)
        mean_7_f = mul_14_f.mean(dim=1, keepdim=True)
        pad_6_f = torch.nn.functional.pad(mean_7_f, [6, 0, 0, 0], mode='constant')
        mul_15_f = floordiv_1_f.__rmul__(7)
        add_28_f = mul_15_f.__add__(floordiv_1_f)
        getitem_15_f = stereo_cost_volume_desc[:, mul_15_f:add_28_f, :, 7:]
        getitem_16_f = stereo_cost_volume_desc_1[:, mul_15_f:add_28_f, :, :-7]
        mul_16_f = getitem_15_f.__mul__(getitem_16_f)
        mean_8_f = mul_16_f.mean(dim=1, keepdim=True)
        pad_7_f = torch.nn.functional.pad(mean_8_f, [7, 0, 0, 0], mode='constant')
        mul_17_f = floordiv_1_f.__rmul__(8)
        add_29_f = mul_17_f.__add__(floordiv_1_f)
        getitem_17_f = stereo_cost_volume_desc[:, mul_17_f:add_29_f, :, 8:]
        getitem_18_f = stereo_cost_volume_desc_1[:, mul_17_f:add_29_f, :, :-8]
        mul_18_f = getitem_17_f.__mul__(getitem_18_f)
        mean_9_f = mul_18_f.mean(dim=1, keepdim=True)
        pad_8_f = torch.nn.functional.pad(mean_9_f, [8, 0, 0, 0], mode='constant')
        mul_19_f = floordiv_1_f.__rmul__(9)
        add_30_f = mul_19_f.__add__(floordiv_1_f)
        getitem_19_f = stereo_cost_volume_desc[:, mul_19_f:add_30_f, :, 9:]
        getitem_20_f = stereo_cost_volume_desc_1[:, mul_19_f:add_30_f, :, :-9]
        mul_20_f = getitem_19_f.__mul__(getitem_20_f)
        mean_10_f = mul_20_f.mean(dim=1, keepdim=True)
        pad_9_f = torch.nn.functional.pad(mean_10_f, [9, 0, 0, 0], mode='constant')
        mul_21_f = floordiv_1_f.__rmul__(10)
        add_31_f = mul_21_f.__add__(floordiv_1_f)
        getitem_21_f = stereo_cost_volume_desc[:, mul_21_f:add_31_f, :, 10:]
        getitem_22_f = stereo_cost_volume_desc_1[:, mul_21_f:add_31_f, :, :-10]
        mul_22_f = getitem_21_f.__mul__(getitem_22_f)
        mean_11_f = mul_22_f.mean(dim=1, keepdim=True)
        pad_10_f = torch.nn.functional.pad(mean_11_f, [10, 0, 0, 0], mode='constant')
        mul_23_f = floordiv_1_f.__rmul__(11)
        add_32_f = mul_23_f.__add__(floordiv_1_f)
        getitem_23_f = stereo_cost_volume_desc[:, mul_23_f:add_32_f, :, 11:]
        getitem_24_f = stereo_cost_volume_desc_1[:, mul_23_f:add_32_f, :, :-11]
        mul_24_f = getitem_23_f.__mul__(getitem_24_f)
        mean_12_f = mul_24_f.mean(dim=1, keepdim=True)
        pad_11_f = torch.nn.functional.pad(mean_12_f, [11, 0, 0, 0], mode='constant')
        mul_25_f = floordiv_1_f.__rmul__(12)
        add_33_f = mul_25_f.__add__(floordiv_1_f)
        getitem_25_f = stereo_cost_volume_desc[:, mul_25_f:add_33_f, :, 12:]
        getitem_26_f = stereo_cost_volume_desc_1[:, mul_25_f:add_33_f, :, :-12]
        mul_26_f = getitem_25_f.__mul__(getitem_26_f)
        mean_13_f = mul_26_f.mean(dim=1, keepdim=True)
        pad_12_f = torch.nn.functional.pad(mean_13_f, [12, 0, 0, 0], mode='constant')
        mul_27_f = floordiv_1_f.__rmul__(13)
        add_34_f = mul_27_f.__add__(floordiv_1_f)
        getitem_27_f = stereo_cost_volume_desc[:, mul_27_f:add_34_f, :, 13:]
        getitem_28_f = stereo_cost_volume_desc_1[:, mul_27_f:add_34_f, :, :-13]
        mul_28_f = getitem_27_f.__mul__(getitem_28_f)
        mean_14_f = mul_28_f.mean(dim=1, keepdim=True)
        pad_13_f = torch.nn.functional.pad(mean_14_f, [13, 0, 0, 0], mode='constant')
        mul_29_f = floordiv_1_f.__rmul__(14)
        add_35_f = mul_29_f.__add__(floordiv_1_f)
        getitem_29_f = stereo_cost_volume_desc[:, mul_29_f:add_35_f, :, 14:]
        getitem_30_f = stereo_cost_volume_desc_1[:, mul_29_f:add_35_f, :, :-14]
        mul_30_f = getitem_29_f.__mul__(getitem_30_f)
        mean_15_f = mul_30_f.mean(dim=1, keepdim=True)
        pad_14_f = torch.nn.functional.pad(mean_15_f, [14, 0, 0, 0], mode='constant')
        mul_31_f = floordiv_1_f.__rmul__(15)
        add_36_f = mul_31_f.__add__(floordiv_1_f)
        getitem_31_f = stereo_cost_volume_desc[:, mul_31_f:add_36_f, :, 15:]
        getitem_32_f = stereo_cost_volume_desc_1[:, mul_31_f:add_36_f, :, :-15]
        mul_32_f = getitem_31_f.__mul__(getitem_32_f)
        mean_16_f = mul_32_f.mean(dim=1, keepdim=True)
        pad_15_f = torch.nn.functional.pad(mean_16_f, [15, 0, 0, 0], mode='constant')
        cat_9_f = torch.cat([mean_1_f, pad_1_f, pad_2_f, pad_3_f, pad_4_f, pad_5_f, pad_6_f, pad_7_f, pad_8_f, pad_9_f, pad_10_f, pad_11_f, pad_12_f, pad_13_f, pad_14_f, pad_15_f], 1)
        unsqueeze_1_f = cat_9_f.unsqueeze(1)
        contiguous_1_f = unsqueeze_1_f.contiguous()
        shape_9_f = cat_7_f.shape
        reshape_1_f = contiguous_1_f.reshape(shape_9_f[0], -1, 16, shape_9_f[2], shape_9_f[3])
        stereo_cost_agg_conv_stem_conv = self.stereo_cost_agg_conv_stem_conv(reshape_1_f)
        stereo_cost_agg_conv_stem_bn = self.stereo_cost_agg_conv_stem_bn(stereo_cost_agg_conv_stem_conv)
        stereo_cost_agg_conv_stem_activate = self.stereo_cost_agg_conv_stem_activate(stereo_cost_agg_conv_stem_bn)
        stereo_cost_agg_channelAttStem_im_att_0_conv = self.stereo_cost_agg_channelAttStem_im_att_0_conv(cat_7_f)
        stereo_cost_agg_channelAttStem_im_att_0_bn = self.stereo_cost_agg_channelAttStem_im_att_0_bn(stereo_cost_agg_channelAttStem_im_att_0_conv)
        stereo_cost_agg_channelAttStem_im_att_0_activate = self.stereo_cost_agg_channelAttStem_im_att_0_activate(stereo_cost_agg_channelAttStem_im_att_0_bn)
        stereo_cost_agg_channelAttStem_im_att_1 = self.stereo_cost_agg_channelAttStem_im_att_1(stereo_cost_agg_channelAttStem_im_att_0_activate)
        unsqueeze_2_f = stereo_cost_agg_channelAttStem_im_att_1.unsqueeze(2)
        sigmoid_1_f = torch.sigmoid(unsqueeze_2_f)
        mul_33_f = sigmoid_1_f.__mul__(stereo_cost_agg_conv_stem_activate)
        stereo_cost_agg_conv_down_0_0_conv = self.stereo_cost_agg_conv_down_0_0_conv(mul_33_f)
        stereo_cost_agg_conv_down_0_0_bn = self.stereo_cost_agg_conv_down_0_0_bn(stereo_cost_agg_conv_down_0_0_conv)
        stereo_cost_agg_conv_down_0_0_activate = self.stereo_cost_agg_conv_down_0_0_activate(stereo_cost_agg_conv_down_0_0_bn)
        stereo_cost_agg_conv_down_0_1_conv = self.stereo_cost_agg_conv_down_0_1_conv(stereo_cost_agg_conv_down_0_0_activate)
        stereo_cost_agg_conv_down_0_1_bn = self.stereo_cost_agg_conv_down_0_1_bn(stereo_cost_agg_conv_down_0_1_conv)
        stereo_cost_agg_conv_down_0_1_activate = self.stereo_cost_agg_conv_down_0_1_activate(stereo_cost_agg_conv_down_0_1_bn)
        stereo_cost_agg_channelAttDown_0_im_att_0_conv = self.stereo_cost_agg_channelAttDown_0_im_att_0_conv(stereo_up_deconv16_8_conv2_activate)
        stereo_cost_agg_channelAttDown_0_im_att_0_bn = self.stereo_cost_agg_channelAttDown_0_im_att_0_bn(stereo_cost_agg_channelAttDown_0_im_att_0_conv)
        stereo_cost_agg_channelAttDown_0_im_att_0_activate = self.stereo_cost_agg_channelAttDown_0_im_att_0_activate(stereo_cost_agg_channelAttDown_0_im_att_0_bn)
        stereo_cost_agg_channelAttDown_0_im_att_1 = self.stereo_cost_agg_channelAttDown_0_im_att_1(stereo_cost_agg_channelAttDown_0_im_att_0_activate)
        unsqueeze_3_f = stereo_cost_agg_channelAttDown_0_im_att_1.unsqueeze(2)
        sigmoid_2_f = torch.sigmoid(unsqueeze_3_f)
        mul_34_f = sigmoid_2_f.__mul__(stereo_cost_agg_conv_down_0_1_activate)
        stereo_cost_agg_conv_down_1_0_conv = self.stereo_cost_agg_conv_down_1_0_conv(mul_34_f)
        stereo_cost_agg_conv_down_1_0_bn = self.stereo_cost_agg_conv_down_1_0_bn(stereo_cost_agg_conv_down_1_0_conv)
        stereo_cost_agg_conv_down_1_0_activate = self.stereo_cost_agg_conv_down_1_0_activate(stereo_cost_agg_conv_down_1_0_bn)
        stereo_cost_agg_conv_down_1_1_conv = self.stereo_cost_agg_conv_down_1_1_conv(stereo_cost_agg_conv_down_1_0_activate)
        stereo_cost_agg_conv_down_1_1_bn = self.stereo_cost_agg_conv_down_1_1_bn(stereo_cost_agg_conv_down_1_1_conv)
        stereo_cost_agg_conv_down_1_1_activate = self.stereo_cost_agg_conv_down_1_1_activate(stereo_cost_agg_conv_down_1_1_bn)
        stereo_cost_agg_channelAttDown_1_im_att_0_conv = self.stereo_cost_agg_channelAttDown_1_im_att_0_conv(stereo_up_deconv32_16_conv2_activate)
        stereo_cost_agg_channelAttDown_1_im_att_0_bn = self.stereo_cost_agg_channelAttDown_1_im_att_0_bn(stereo_cost_agg_channelAttDown_1_im_att_0_conv)
        stereo_cost_agg_channelAttDown_1_im_att_0_activate = self.stereo_cost_agg_channelAttDown_1_im_att_0_activate(stereo_cost_agg_channelAttDown_1_im_att_0_bn)
        stereo_cost_agg_channelAttDown_1_im_att_1 = self.stereo_cost_agg_channelAttDown_1_im_att_1(stereo_cost_agg_channelAttDown_1_im_att_0_activate)
        unsqueeze_4_f = stereo_cost_agg_channelAttDown_1_im_att_1.unsqueeze(2)
        sigmoid_3_f = torch.sigmoid(unsqueeze_4_f)
        mul_35_f = sigmoid_3_f.__mul__(stereo_cost_agg_conv_down_1_1_activate)
        stereo_cost_agg_conv_down_2_0_conv = self.stereo_cost_agg_conv_down_2_0_conv(mul_35_f)
        stereo_cost_agg_conv_down_2_0_bn = self.stereo_cost_agg_conv_down_2_0_bn(stereo_cost_agg_conv_down_2_0_conv)
        stereo_cost_agg_conv_down_2_0_activate = self.stereo_cost_agg_conv_down_2_0_activate(stereo_cost_agg_conv_down_2_0_bn)
        stereo_cost_agg_conv_down_2_1_conv = self.stereo_cost_agg_conv_down_2_1_conv(stereo_cost_agg_conv_down_2_0_activate)
        stereo_cost_agg_conv_down_2_1_bn = self.stereo_cost_agg_conv_down_2_1_bn(stereo_cost_agg_conv_down_2_1_conv)
        stereo_cost_agg_conv_down_2_1_activate = self.stereo_cost_agg_conv_down_2_1_activate(stereo_cost_agg_conv_down_2_1_bn)
        stereo_cost_agg_channelAttDown_2_im_att_0_conv = self.stereo_cost_agg_channelAttDown_2_im_att_0_conv(add_10_f)
        stereo_cost_agg_channelAttDown_2_im_att_0_bn = self.stereo_cost_agg_channelAttDown_2_im_att_0_bn(stereo_cost_agg_channelAttDown_2_im_att_0_conv)
        stereo_cost_agg_channelAttDown_2_im_att_0_activate = self.stereo_cost_agg_channelAttDown_2_im_att_0_activate(stereo_cost_agg_channelAttDown_2_im_att_0_bn)
        stereo_cost_agg_channelAttDown_2_im_att_1 = self.stereo_cost_agg_channelAttDown_2_im_att_1(stereo_cost_agg_channelAttDown_2_im_att_0_activate)
        unsqueeze_5_f = stereo_cost_agg_channelAttDown_2_im_att_1.unsqueeze(2)
        sigmoid_4_f = torch.sigmoid(unsqueeze_5_f)
        mul_36_f = sigmoid_4_f.__mul__(stereo_cost_agg_conv_down_2_1_activate)
        stereo_cost_agg_conv_up_2_conv = self.stereo_cost_agg_conv_up_2_conv(mul_36_f)
        stereo_cost_agg_conv_up_2_bn = self.stereo_cost_agg_conv_up_2_bn(stereo_cost_agg_conv_up_2_conv)
        stereo_cost_agg_conv_up_2_activate = self.stereo_cost_agg_conv_up_2_activate(stereo_cost_agg_conv_up_2_bn)
        shape_10_f = stereo_cost_agg_conv_up_2_activate.shape
        cat_10_f = torch.cat([stereo_cost_agg_conv_up_2_activate, mul_35_f], 1)
        stereo_cost_agg_conv_skip_2_conv = self.stereo_cost_agg_conv_skip_2_conv(cat_10_f)
        stereo_cost_agg_conv_skip_2_bn = self.stereo_cost_agg_conv_skip_2_bn(stereo_cost_agg_conv_skip_2_conv)
        stereo_cost_agg_conv_skip_2_activate = self.stereo_cost_agg_conv_skip_2_activate(stereo_cost_agg_conv_skip_2_bn)
        stereo_cost_agg_conv_agg_2_0_conv = self.stereo_cost_agg_conv_agg_2_0_conv(stereo_cost_agg_conv_skip_2_activate)
        stereo_cost_agg_conv_agg_2_0_bn = self.stereo_cost_agg_conv_agg_2_0_bn(stereo_cost_agg_conv_agg_2_0_conv)
        stereo_cost_agg_conv_agg_2_0_activate = self.stereo_cost_agg_conv_agg_2_0_activate(stereo_cost_agg_conv_agg_2_0_bn)
        stereo_cost_agg_conv_agg_2_1_conv = self.stereo_cost_agg_conv_agg_2_1_conv(stereo_cost_agg_conv_agg_2_0_activate)
        stereo_cost_agg_conv_agg_2_1_bn = self.stereo_cost_agg_conv_agg_2_1_bn(stereo_cost_agg_conv_agg_2_1_conv)
        stereo_cost_agg_conv_agg_2_1_activate = self.stereo_cost_agg_conv_agg_2_1_activate(stereo_cost_agg_conv_agg_2_1_bn)
        stereo_cost_agg_channelAtt_2_im_att_0_conv = self.stereo_cost_agg_channelAtt_2_im_att_0_conv(stereo_up_deconv32_16_conv2_activate)
        stereo_cost_agg_channelAtt_2_im_att_0_bn = self.stereo_cost_agg_channelAtt_2_im_att_0_bn(stereo_cost_agg_channelAtt_2_im_att_0_conv)
        stereo_cost_agg_channelAtt_2_im_att_0_activate = self.stereo_cost_agg_channelAtt_2_im_att_0_activate(stereo_cost_agg_channelAtt_2_im_att_0_bn)
        stereo_cost_agg_channelAtt_2_im_att_1 = self.stereo_cost_agg_channelAtt_2_im_att_1(stereo_cost_agg_channelAtt_2_im_att_0_activate)
        unsqueeze_6_f = stereo_cost_agg_channelAtt_2_im_att_1.unsqueeze(2)
        sigmoid_5_f = torch.sigmoid(unsqueeze_6_f)
        mul_37_f = sigmoid_5_f.__mul__(stereo_cost_agg_conv_agg_2_1_activate)
        stereo_cost_agg_conv_up_1_conv = self.stereo_cost_agg_conv_up_1_conv(mul_37_f)
        stereo_cost_agg_conv_up_1_bn = self.stereo_cost_agg_conv_up_1_bn(stereo_cost_agg_conv_up_1_conv)
        stereo_cost_agg_conv_up_1_activate = self.stereo_cost_agg_conv_up_1_activate(stereo_cost_agg_conv_up_1_bn)
        shape_11_f = stereo_cost_agg_conv_up_1_activate.shape
        cat_11_f = torch.cat([stereo_cost_agg_conv_up_1_activate, mul_34_f], 1)
        stereo_cost_agg_conv_skip_1_conv = self.stereo_cost_agg_conv_skip_1_conv(cat_11_f)
        stereo_cost_agg_conv_skip_1_bn = self.stereo_cost_agg_conv_skip_1_bn(stereo_cost_agg_conv_skip_1_conv)
        stereo_cost_agg_conv_skip_1_activate = self.stereo_cost_agg_conv_skip_1_activate(stereo_cost_agg_conv_skip_1_bn)
        stereo_cost_agg_conv_agg_1_0_conv_conv_s = self.stereo_cost_agg_conv_agg_1_0_conv_conv_s(stereo_cost_agg_conv_skip_1_activate)
        stereo_cost_agg_conv_agg_1_0_conv_conv_t = self.stereo_cost_agg_conv_agg_1_0_conv_conv_t(stereo_cost_agg_conv_agg_1_0_conv_conv_s)
        stereo_cost_agg_conv_agg_1_0_bn = self.stereo_cost_agg_conv_agg_1_0_bn(stereo_cost_agg_conv_agg_1_0_conv_conv_t)
        stereo_cost_agg_conv_agg_1_0_activate = self.stereo_cost_agg_conv_agg_1_0_activate(stereo_cost_agg_conv_agg_1_0_bn)
        stereo_cost_agg_conv_agg_1_1_conv_conv_s = self.stereo_cost_agg_conv_agg_1_1_conv_conv_s(stereo_cost_agg_conv_agg_1_0_activate)
        stereo_cost_agg_conv_agg_1_1_conv_conv_t = self.stereo_cost_agg_conv_agg_1_1_conv_conv_t(stereo_cost_agg_conv_agg_1_1_conv_conv_s)
        stereo_cost_agg_conv_agg_1_1_bn = self.stereo_cost_agg_conv_agg_1_1_bn(stereo_cost_agg_conv_agg_1_1_conv_conv_t)
        stereo_cost_agg_conv_agg_1_1_activate = self.stereo_cost_agg_conv_agg_1_1_activate(stereo_cost_agg_conv_agg_1_1_bn)
        stereo_cost_agg_channelAtt_1_im_att_0_conv = self.stereo_cost_agg_channelAtt_1_im_att_0_conv(stereo_up_deconv16_8_conv2_activate)
        stereo_cost_agg_channelAtt_1_im_att_0_bn = self.stereo_cost_agg_channelAtt_1_im_att_0_bn(stereo_cost_agg_channelAtt_1_im_att_0_conv)
        stereo_cost_agg_channelAtt_1_im_att_0_activate = self.stereo_cost_agg_channelAtt_1_im_att_0_activate(stereo_cost_agg_channelAtt_1_im_att_0_bn)
        stereo_cost_agg_channelAtt_1_im_att_1 = self.stereo_cost_agg_channelAtt_1_im_att_1(stereo_cost_agg_channelAtt_1_im_att_0_activate)
        unsqueeze_7_f = stereo_cost_agg_channelAtt_1_im_att_1.unsqueeze(2)
        sigmoid_6_f = torch.sigmoid(unsqueeze_7_f)
        mul_38_f = sigmoid_6_f.__mul__(stereo_cost_agg_conv_agg_1_1_activate)
        stereo_cost_agg_conv_up_0_conv = self.stereo_cost_agg_conv_up_0_conv(mul_38_f)
        shape_12_f = stereo_cost_agg_conv_up_0_conv.shape
        shape_13_f = mul_33_f.shape
        eq_1_f = shape_12_f[0].__eq__(shape_13_f[0])
        eq_2_f = shape_12_f[1].__eq__(shape_13_f[1])
        stereo_spx_4_0_conv = self.stereo_spx_4_0_conv(cat_7_f)
        stereo_spx_4_0_bn = self.stereo_spx_4_0_bn(stereo_spx_4_0_conv)
        stereo_spx_4_0_activate = self.stereo_spx_4_0_activate(stereo_spx_4_0_bn)
        stereo_spx_4_1 = self.stereo_spx_4_1(stereo_spx_4_0_activate)
        stereo_spx_4_2 = self.stereo_spx_4_2(stereo_spx_4_1)
        stereo_spx_4_3 = self.stereo_spx_4_3(stereo_spx_4_2)
        stereo_spx_2_conv1_conv = self.stereo_spx_2_conv1_conv(stereo_spx_4_3)
        stereo_spx_2_conv1_bn = self.stereo_spx_2_conv1_bn(stereo_spx_2_conv1_conv)
        stereo_spx_2_conv1_activate = self.stereo_spx_2_conv1_activate(stereo_spx_2_conv1_bn)
        shape_14_f = stereo_spx_2_conv1_activate.shape
        interpolate_7_f = torch.nn.functional.interpolate(stereo_spx_2_conv1_activate, size=[shape_14_f[2], shape_14_f[3]], mode='nearest')
        cat_12_f = torch.cat([interpolate_7_f, stereo_stem_2_3], 1)
        stereo_spx_2_conv2_conv = self.stereo_spx_2_conv2_conv(cat_12_f)
        stereo_spx_2_conv2_bn = self.stereo_spx_2_conv2_bn(stereo_spx_2_conv2_conv)
        stereo_spx_2_conv2_activate = self.stereo_spx_2_conv2_activate(stereo_spx_2_conv2_bn)
        stereo_spx_0 = self.stereo_spx_0(stereo_spx_2_conv2_activate)
        stereo_spx_1 = self.stereo_spx_1(stereo_spx_0)
        shape_15_f = stereo_cost_agg_conv_up_0_conv.shape
        dtype_1_f = stereo_cost_agg_conv_up_0_conv.dtype
        device_1_f = stereo_cost_agg_conv_up_0_conv.device
        arange_1_f = torch.arange(0, shape_15_f[2], 1, dtype=dtype_1_f, device=device_1_f)
        view_1_f = arange_1_f.view(1, -1, 1, 1)
        repeat_1_f = view_1_f.repeat([1, 1, shape_15_f[3], shape_15_f[4]])
        permute_1_f = stereo_cost_agg_conv_up_0_conv.permute(0, 1, 3, 4, 2)
        softmax_1_f = torch.nn.functional.softmax(permute_1_f, 4)
        permute_2_f = softmax_1_f.permute(0, 1, 4, 2, 3)
        mul_39_f = permute_2_f.__mul__(repeat_1_f)
        sum_1_f = torch.sum(mul_39_f, 2, keepdim=True)
        shape_16_f = sum_1_f.shape
        reshape_2_f = sum_1_f.reshape(shape_15_f[0], 1, shape_16_f[3], shape_16_f[4])
        mul_40_f = reshape_2_f.__mul__(4)
        stereo_regression_up_disp4to2 = self.stereo_regression_up_disp4to2(mul_40_f)
        cat_13_f = torch.cat([stereo_regression_up_disp4to2, stereo_spx_2_conv2_activate], 1)
        stereo_regression_pred_res2_0 = self.stereo_regression_pred_res2_0(cat_13_f)
        stereo_regression_pred_res2_1 = self.stereo_regression_pred_res2_1(stereo_regression_pred_res2_0)
        stereo_regression_pred_res2_2 = self.stereo_regression_pred_res2_2(stereo_regression_pred_res2_1)
        stereo_regression_pred_res2_3 = self.stereo_regression_pred_res2_3(stereo_regression_pred_res2_2)
        add_37_f = stereo_regression_up_disp4to2.__add__(stereo_regression_pred_res2_3)
        stereo_regression_up_disp4to2_1 = self.stereo_regression_up_disp4to2_1(add_37_f)
        cat_14_f = torch.cat([stereo_regression_up_disp4to2_1, stereo_spx_1], 1)
        stereo_regression_pred_res1_0 = self.stereo_regression_pred_res1_0(cat_14_f)
        stereo_regression_pred_res1_1 = self.stereo_regression_pred_res1_1(stereo_regression_pred_res1_0)
        stereo_regression_pred_res1_2 = self.stereo_regression_pred_res1_2(stereo_regression_pred_res1_1)
        stereo_regression_pred_res1_3 = self.stereo_regression_pred_res1_3(stereo_regression_pred_res1_2)
        add_38_f = stereo_regression_up_disp4to2_1.__add__(stereo_regression_pred_res1_3)
        squeeze_1_f = add_38_f.squeeze(1)
        getitem_33_f = squeeze_1_f[:, :shape_1_f[2], :shape_1_f[3]]
        return getitem_33_f


if __name__ == "__main__":
    model = coex()
    model.load_state_dict(torch.load('my_coex.pth'))

    model.eval()
    model.cpu()

    dummy_input_0 = torch.ones((1, 3, 320, 640), dtype=torch.float32)
    dummy_input_1 = torch.ones((1, 3, 320, 640), dtype=torch.float32)

    output = model(dummy_input_0, dummy_input_1)
    print(output)

