import sys
import onnx
import tensorflow as tf
from onnx_tf.backend import prepare
import numpy as np



whole_onnx = sys.argv[1]

nets = ['featurnet.onnx', 'featurnet_costvolume.onnx', 'featurnet_costvolume_aggreation.onnx']

onnx.utils.extract_model(whole_onnx, nets[0], ['imgL', 'imgR'], ['1067', '1068']) 
onnx.utils.extract_model(whole_onnx, nets[1], ['imgL', 'imgR'], ['3457']) 
onnx.utils.extract_model(whole_onnx, nets[2], ['imgL', 'imgR'], ['3085'])

def representative_dataset():
    for _ in range(100):
      data = np.random.rand(1, 3, 320, 640)
      data2 = np.random.rand(1, 3, 320, 640)
      yield [data.astype(np.float32), data2.astype(np.float32)]

for sim_onnx_path in nets:
    TF_PATH = sim_onnx_path[:-5] + '_tf.pb' # where the representation of tensorflow model will be stored
    onnx_model = onnx.load(sim_onnx_path)  # load onnx model
    tf_rep = prepare(onnx_model, logging_level='DEBUG')  # creating TensorflowRep object
    tf_rep.export_graph(TF_PATH)
    print(f'export pd {TF_PATH} finished')
    
    #TF_PATH = sim_onnx_path[:-5] + '_tf.pb' # where the representation of tensorflow model will be stored
    TFLITE_PATH = sim_onnx_path[:-5] + ".tflite"
    converter = tf.lite.TFLiteConverter.from_saved_model(TF_PATH)
    converter.optimizations = [tf.lite.Optimize.DEFAULT]
    converter.representative_dataset = representative_dataset
    # Ensure that if any ops can't be quantized, the converter throws an error
    converter.target_spec.supported_ops = [tf.lite.OpsSet.TFLITE_BUILTINS_INT8]
    # Set the input and output tensors to uint8 (APIs added in r2.3)
    converter.inference_input_type = tf.uint8
    converter.inference_output_type = tf.uint8
    tf_lite_model = converter.convert()
    with open(TFLITE_PATH, 'wb') as f:
        f.write(tf_lite_model)
        print(f'export tflite {TFLITE_PATH} finished')

